import app.servicecontrol
import ext.lock

class LockedControllerAction(app.servicecontrol.ControllerAction):

    def lockedExecute(self):
        raise Exception("needs to be overridden in %s" % type(self).__name__)

    def execute(self):
        # Acquire system-wide lock before executing.
        try:
            with ext.lock.GlobalLock():
                return self.lockedExecute()

        except ext.lock.LockOwnedByOtherProcess:
            raise ConcurrentActionRunningException("Cannot execute action as another process is holding the lock")

class ConcurrentActionRunningException(Exception):
    def __init__(self, *args):
        super(ConcurrentActionRunningException, self).__init__(*args)
