﻿import os
import app.util
import app.servicecontrol
import ext.multitail2

class TailLogsAction(app.servicecontrol.ControllerAction):
    def __init__(self, services, logger):
        self.__services = services
        super(TailLogsAction, self).__init__(logger)

    def chain(self, action):
        assert isinstance(action, TailLogsAction)

        return TailLogsAction(
            self.__services + action.getInvolvedServices(),
            self.logger)

    def getInvolvedServices(self):
        return self.__services

    def confirm(self, isRedeployment=False):
        return True

    def execute(self):
        logPaths = []
        for service in self.__services:
            controller = service.getController(self.logger)
            logPaths += controller.getLogPaths()

        uniqueLogPaths = set(logPaths)

        print "Tailing logs:\n - %s" % "\n - ".join(uniqueLogPaths)

        tail = ext.multitail2.MultiTail(uniqueLogPaths)

        try:
            for event in tail:
                print "[%s] %s" % (os.path.basename(event[0][0]), event[1])

        except KeyboardInterrupt:
            # Ctrl + C, stop tailing.
            pass

        return True

