﻿#!/usr/bin/env python2

__author__ = 'Moorthy Rajendran <rmoorthy@collab.net>'

import app.clireports.constants
import app.db
import app.util

class DBase:

    def __init__(self):
        try:
            config = app.util.getRuntimeConfiguration()
            self._dbCon = app.db.Database.connect(
                config.get('DATABASE_TYPE'),
                config.get('ctfcore-app/dependency/ctfcore-database/jdbc/host'),
                config.get('ctfcore-app/dependency/ctfcore-database/jdbc/port'),
                config.get('DATABASE_NAME'),
                config.get('DATABASE_USERNAME'),
                config.get('DATABASE_PASSWORD'))
        except Exception as e:
           raise e

        return

    def softDeleteReportTypeMetaData(self, reportType):
        self._dbCon.execute(
            "update report_type_meta_data set is_deleted='%s' where type='%s'" %
            (self._dbCon.boolValue(True), reportType))

    def modifyReportTypeMetaData(self, reportType, category, formConfigData, chartConfigData, timeToLive=24):
        self._dbCon.execute(
            """update report_type_meta_data
               set form_config='%s',chart_config='%s',time_to_live='%s',is_deleted='%s'
               where type='%s' and category='%s'""" %
               (formConfigData, chartConfigData, timeToLive, self._dbCon.boolValue(False), reportType, category))

    def addReportTypeMetaData(self, reportType, category, formConfigData, chartConfigData, timeToLive=24):
        newSurgId = self.generateSurrogateIdFromSequence('report_type_meta_key_seq')
        self._dbCon.execute(
            """insert into report_type_meta_data (surrogate_id, type, category, form_config, chart_config, time_to_live, is_deleted)
               values (%d,'%s','%s','%s','%s','%s','%s')""" %
               (newSurgId, reportType, category, formConfigData, chartConfigData, timeToLive, self._dbCon.boolValue(False)))

    def ifReportTypeMetaDataExist(self, reportType):
        results = self._dbCon.query("select surrogate_id from report_type_meta_data where type='%s'" % reportType)
        return len(results) > 0

    def ifReportTypeCategoryMetaDataExist(self, reportType, category):
        results = self._dbCon.query("select surrogate_id from report_type_meta_data where type='%s' and category='%s'" % (reportType, category))
        return len(results) > 0

    def modifyReportType(self, reportType, reportTitle, description, imageUrl, almRequired, datamartRequired, eventsRequired, devOpsRequired, collabRequired, scmRequired):
        return self._dbCon.execute(
            """update report_type
                set title='%s',description='%s',image_url='%s',alm_required='%s',datamart_required='%s',events_required='%s',devops_required='%s',collab_required='%s',scm_required='%s'
                where id='%s'""" %
                (reportTitle,
                 description,
                 imageUrl,
                 self._dbCon.boolValue(almRequired),
                 self._dbCon.boolValue(datamartRequired),
                 self._dbCon.boolValue(eventsRequired),
                 self._dbCon.boolValue(devOpsRequired),
                 self._dbCon.boolValue(collabRequired),
                 self._dbCon.boolValue(scmRequired),
                 reportType))

    def addReportType(self, reportType, reportTitle, description, imageUrl, almRequired, datamartRequired, eventsRequired, devOpsRequired, collabRequired, scmRequired):
        newSurgId = self.generateSurrogateIdFromSequence('report_type_key_seq')
        return self._dbCon.execute(
            """insert into report_type (surrogate_id, id, title, description, image_url, alm_required, datamart_required, events_required, devops_required, collab_required, scm_required)
               values (%d,'%s','%s','%s','%s','%s','%s','%s','%s','%s','%s')""" %
               (newSurgId,
                reportType,
                reportTitle,
                description,
                imageUrl,
                self._dbCon.boolValue(almRequired),
                self._dbCon.boolValue(datamartRequired),
                self._dbCon.boolValue(eventsRequired),
                self._dbCon.boolValue(devOpsRequired),
                self._dbCon.boolValue(collabRequired),
                self._dbCon.boolValue(scmRequired)))

    def ifReportTypeExist(self, reportType):
        results = self._dbCon.query("select surrogate_id from report_type where id='%s'" % reportType)
        return len(results) > 0

    def addReportCategory(self, categoryType, categoryTitle, description):
        newSurgId = self.generateSurrogateIdFromSequence('report_category_key_seq')
        return self._dbCon.execute(
            "insert into report_category (surrogate_id, id, title, description) values (%d,'%s','%s','%s')" %
            (newSurgId, categoryType, categoryTitle, description))

    def ifReportCategoryExist(self, categoryType):
        results = self._dbCon.query("select surrogate_id from report_category where id='%s'" % categoryType)
        return len(results) > 0

    def generateSurrogateIdFromSequence(self, seqName='report_type_key_seq'):
        return self._dbCon.queryNextSequenceValue(seqName)
