#!/usr/bin/env python2

__author__ = 'Moorthy Rajendran <rmoorthy@collab.net>'

import os
import app.clireports.parser

class CliReportsMetaInfo:

    def __init__(self, iniFile):

        self._iniFile  = iniFile
        self._parseObj = None
        self._initCliMetaInfo()

        return

    def _initCliMetaInfo(self):

        if (not os.path.isfile(self._iniFile)):
           with open(self._iniFile, 'wb') as fH:
              fH.close()
        self._parseObj = self._parseConfig()

    def _parseConfig(self):

        if not os.path.isfile(self._iniFile):
           return None
        parseObj = app.clireports.parser.ConfigParser()
        parseObj.read(self._iniFile);
        return parseObj

    def _translateSection(self, section):

        try:
           return section.replace('/','_')
        except:
           return section

    def _writeConfig(self):

        with open(self._iniFile, 'wb') as fH:
          self._parseObj.write(fH)
        self._parseObj = self._parseConfig()

    def getConfig(self, section, key):

        value = None
        section = self._translateSection(section)
        try:
          value = self._parseObj.get(section, key)
        except:
          return None

        return value

    def setConfig(self, section, key, value):

        section = self._translateSection(section)
        if (not self._parseObj.has_section(section)):
           self._parseObj.add_section(section)

        self._parseObj.set(section, key, value)
        self._writeConfig()
        return True

    def delConfig(self, section, key):

        section = self._translateSection(section)
        if (not self._parseObj.has_section(section)):
           self._parseObj.add_section(section)

        try:
           self._parseObj.remove_option(section, key)
           self._writeConfig()
           return True
        except:
           return False


