﻿#!/usr/bin/env python

import os

"Has default app runtime configurations for teamforge."

# Taken from ObfuscatorData.java for identical default behaviour
DEFAULT_OBFUSCATION_KEY     =  "XSJt43wN"
DEFAULT_OBFUSCATION_PREFIX  =  "{OBF}:"

# The site directory for Teamforge is always going to /opt/collabnet/teamforge
# This behaviour exists from TF 6.1.1
DEFAULT_SITE_DIR           =  os.path.normpath("/opt/collabnet/teamforge")
DEFAULT_DIST_DIR           =  os.path.join(DEFAULT_SITE_DIR, "dist")
DEFAULT_SERVICE_DIR        =  os.path.join(DEFAULT_SITE_DIR, "service")
DEFAULT_RUNTIME_DIR        =  os.path.join(DEFAULT_SITE_DIR, "runtime")
DEFAULT_RUN_DIR            =  os.path.join(DEFAULT_SITE_DIR, "run")
DEFAULT_DATA_DIR           =  os.path.join(DEFAULT_SITE_DIR, "var")
DEFAULT_SITEOPTIONS_PATH   =  os.path.join(DEFAULT_SITE_DIR, "etc", "site-options.conf")
OFFLINE_MARKER             =  os.path.join(DEFAULT_RUNTIME_DIR, "conf", "app.offline")

DEFAULT_SSLCERTS_PATH      =  os.path.join(DEFAULT_DATA_DIR, "ssl")
DEFAULT_CERTIFICATE_VALIDITY_PERIOD  =  "3650"

DEFAULT_LICENSE_PATH       =  os.path.join(DEFAULT_SITE_DIR, "etc", "sflicense.txt")
INSTALLED_LICENSE_PATH     =  os.path.join(DEFAULT_DATA_DIR, "etc", "sflicense.txt")

DEFAULT_JAVA_HOME          =  os.path.normpath("/usr/java/jre1.8.0_131")
CTFUTIL_CLASSPATH = os.path.join(DEFAULT_DIST_DIR, 'lib/multiplatform/java/*' )
RUNTIME_OPTIONS_CONF = os.path.join(DEFAULT_SITE_DIR, "runtime/conf/runtime-options.conf")

DEFAULT_LOG_LEVEL = "INFO"
DEFAULT_LOG_DIR = os.path.join(DEFAULT_SITE_DIR, "log")
DEFAULT_LOG_FORMAT = "%(asctime)s %(levelname)s %(message)s"
POSTGRES_DEFAULT_PORT = '5432'
ORACLE_DEFAULT_PORT = '1521'

CHECKSUM_CONFIG_FILE =  os.path.join(DEFAULT_RUNTIME_DIR, "conf","checksum-configs.cfg")

# Used upto ctf release - 16.7
OLD_CHECKSUM_CONFIG_FILE = os.path.join(DEFAULT_RUNTIME_DIR, "temp","tfmd5configs.cfg")

OLD_PGVERSION = "9.3"
OLD_PGCLUSTER = os.path.join(DEFAULT_DATA_DIR, "pgsql", "9.3")
NEW_PGCLUSTER = os.path.join(DEFAULT_DATA_DIR, "pgsql", "9.6")
