﻿#!/usr/bin/env python2

__author__ = 'Moorthy Rajendran <rmoorthy@collab.net>'

import os
import commands
import ConfigParser
import subprocess
import select

class SecureConfig:

   def __init__(self, cfg, cFile=None):

       self._runtimeCfg = cfg
       if (cFile is not None):
          self._confFile   = cFile
       else:
          self._confFile   = os.path.join(self._runtimeCfg['DATA_DIR'], 'etc', 'secure.cfg')

       self._initialise()
       self._parseObj   = self._parseConfig()
       self._secureKey  = 'C0LL46N3T'

   def _initialise(self):

       self._classPath = ':'.join([self._runtimeCfg['UTIL_JAR_PATH'],self._runtimeCfg['COMMONJAR_PATH']])

       dirPath = os.path.dirname(self._confFile)
       if (not os.path.exists(dirPath)):
          commands.getstatusoutput("mkdir -p %s"%dirPath)

       if (not os.path.isfile(self._confFile)):
          with open(self._confFile, 'wb') as fH:
            fH.close()

   def _parseConfig(self):

       parseObj = ConfigParser.ConfigParser()

       if (not os.path.exists(self._confFile)):
          raise Exception ("File not found: The configuration file %s doesnot exists. Fix this" %(self._confFile))

       parseObj.read(self._confFile);

       return parseObj

   def getConfig(self, section, key):

       pValue = value = None
       try:
         pValue = self._parseObj.get(section, key)
         if (key.endswith('secure')):
            value = self.runCmd('decryptdata', pValue)
            if value == '':
               self.setConfig(section, key, pValue)
               value = pValue
         else:
            value = pValue
       except:
         return None

       return value

   def setConfig(self, section, key, value):

       if (not self._parseObj.has_section(section)):
          self._parseObj.add_section(section)

       if (key.endswith('secure')):
          value = self.runCmd('encryptdata', value)

       self._parseObj.set(section, key, value)
       self._writeConfig()

   def delConfig(self, section, key):

       if (not self._parseObj.has_section(section)):
          self._parseObj.add_section(section)

       try:
          self._parseObj.remove_option(section, key)
          self._writeConfig()
          return True
       except:
          return False

   def _writeConfig(self):

       with open(self._confFile, 'wb') as fH:
         self._parseObj.write(fH)
       self._parseObj = self._parseConfig()

   def runCmd(self, operation, data):

       os.environ['JAR_PATH']=self._classPath
       cmd = "%s/bin/java -cp $JAR_PATH com.vasoftware.sf.system.utils.TeamforgeObfuscator -%s '%s' -seckey '%s'"%(self._runtimeCfg['JAVA_HOME'], operation, data, self._secureKey)
       cliProc = subprocess.Popen(cmd, shell=True, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE)

       dispData = ''
       while True:
          dispData = dispData + self.readProcData(cliProc.stdout)
          cliProc.stdout.flush()
          if cliProc.poll() is not None:
             break;
       if cliProc.returncode == 0:
          dispData = dispData.rstrip()
          return dispData
       else:
          return ''

   def readProcData(self, fObj):

       (r, w, x) = select.select([fObj], [], [], 0.1)
       value = ""
       while r:
           char = fObj.read(1)
           if (len(char) == 0):
              break
           value += char;
           (r, w, x) = select.select([fObj], [], [], 0.1)

       return value;

