﻿#!/usr/bin/env python2
#


__author__ = "Andreas Guenther <aguenther@collab.net>"

import os

import app.util
import app.unixusers

#
# This library provides functionality to configure CollabNet
# users. This includes system and database users.
#
# Note, that his initial version is everything but fancy. Other
# create user scripts, written in shellscripts, should shift
# their logic into this one ASAP, making it the central point
# for user logic.
#

cfg = app.util.getRuntimeConfiguration()
# APP user account information
appUser = { 'user' : cfg.get('APP_USER'),
          'group' : cfg.get('APP_GROUP'),
          'uid' : int(cfg.get('APP_USER_ID')),
          'gid' : int(cfg.get('APP_GROUP_ID')),
          'home' : os.path.join(cfg.get('DATA_DIR'), 'home',
                                cfg.get('APP_USER')),
          'shell' : '/bin/sh',
          'comment' : 'app user' }

# HTTPD account information
httpd = { 'user' : cfg.get('HTTPD_USER'),
          'group' : cfg.get('HTTPD_GROUP'),
          'uid' : int(cfg.get('HTTPD_USER_ID')),
          'gid' : int(cfg.get('HTTPD_GROUP_ID')),
          'home' : os.path.join(cfg.get('HOME_DIR_BASE'), cfg.get('HTTPD_USER')),
          'shell' : '/bin/sh',
          'comment' : 'Apache httpd user' }

def enableUserAccounts():
    # HTTPD user
    if (app.util.invokedBySuperUser()):

        app.unixusers.enableGroup(appUser['group'], appUser['gid'])
        app.unixusers.enableUserAccount(appUser['user'],
                                               appUser['comment'],
                                               appUser['uid'],
                                               appUser['group'],
                                               appUser['home'],
                                               appUser['shell'])
        if appUser['group'] != httpd['group']:
            app.unixusers.enableGroup(httpd['group'], httpd['gid'])
        if appUser['user'] != httpd['user']:
            app.unixusers.enableUserAccount(httpd['user'],
                                               httpd['comment'],
                                               httpd['uid'],
                                               httpd['group'],
                                               httpd['home'],
                                               httpd['shell'])

def setupUserHomedirs():
    # HTTPD user
    if (app.util.invokedBySuperUser()):

        app.unixusers.setupUserHomedir(appUser['user'],
                                              appUser['group'],
                                              appUser['home'])
        if appUser['user'] != httpd['user']:
            app.unixusers.setupUserHomedir(httpd['user'],
                                              httpd['group'],
                                              httpd['home'])


