﻿
from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):
    def configSnippet(self):

        secureRedirects = self.cfg.has_key("SECURE_REDIRECTS") and self.cfg["SECURE_REDIRECTS"]=="true"

        if secureRedirects:

           confStr= """

ErrorDocument 400 /400_HTTP_ERROR_PAGE.html

#SECURITY
#Checks if the request header HOST has been tamperred
RewriteCond %{HTTP_HOST} !={__apache/cname/http/host__} [nc]
RewriteCond %{HTTP_HOST} !=www.{__apache/cname/http/host__} [nc]
RewriteCond %{HTTP_HOST} !^localhost [nc]
RewriteCond %{HTTP_HOST} !^127\.0\.0\.1 [nc]
RewriteCond %{HTTP_HOST} !={__apache/bind/http/host__} [nc]
RewriteCond %{HTTP_HOST} !={__NODE_HOSTNAME__} [nc]
"""
           # Now add the rewrite condition for "ALLOWED_HOSTS" if it exists

           if (self.cfg.has_key("ALLOWED_HOSTS") and self.cfg['ALLOWED_HOSTS'] != 'none'):
              allowedHosts =  self.cfg['ALLOWED_HOSTS'].split(" ")
              for allowedHost in allowedHosts:
                  confStr += "RewriteCond %{HTTP_HOST} !=" + "%s [nc]\n" %(allowedHost)

           confStr += """RewriteCond %{REQUEST_URI} !=/400_HTTP_ERROR_PAGE.html
RewriteRule (.*) {__HTTP_SCHEME__}://{__apache/cname/http/host__} [R=400,L]

"""
           return confStr;

        else:
		return ""
