
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.landscape
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Apache main configuration"

    def createRuntime(self):
        distributionDir = self.cfg['DISTRIBUTION_DIR']

        # Create sf_subversion.conf file
        batch = app.batch.ConfigBatch(self.log)

        # Add overrides
        for service in app.landscape.Landscape.getSite().getLocalMachine().getServices():
            overridesFolder = os.path.join(
                app.defaults.DEFAULT_SERVICE_DIR,
                service.getName(),
                'overrides',
                'apache',
                'sf_subversion.conf.d')

            if os.path.isdir(overridesFolder):
                batch = batch.addFolder(overridesFolder)

        batch.evaluateIntoFile(self.cfg["SF_SUBVERSION_CONF_FILE_PATH"])
