
from app.scripts import BaseCreateRuntimeScript
import os
import app.permsutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Set Apache User Ownership"

    def createRuntime(self):

         app.permsutil.Permissions.applyPermissions(self.cfg['HTTPD_LOG_DIR'],
                       mode=755,
                       owner=self.cfg['HTTPD_USER'],
                       group=self.cfg['HTTPD_GROUP'])

         # Change permissions for wsgi socket directory as well
         wsgiSocketDir = self.cfg["HTTPD_WSGI_SOCKET_DIR"]
         if not os.path.exists(wsgiSocketDir):
             os.makedirs(wsgiSocketDir)

         app.permsutil.Permissions.applyPermissions(wsgiSocketDir,
                       mode=755,
                       owner=self.cfg['HTTPD_USER'],
                       group=self.cfg['HTTPD_GROUP'])

