﻿
from app.scripts import BaseCreateRuntimeScript
import app.certstore
import app.defaults

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Autogenerate/copy SSL certificates"

    def __isSSLEnabled(self):
        return self.cfg.get("SSL", "off") == "on"

    def __getAllDomainNames(self):
        service = app.landscape.Landscape.getSite().getLocalMachine().getService("apache")
        domains = set([targetEndpoint.getHost(False).lower() for
                   targetEndpoint in service.getProvidedEndpoint("http").getViaTargetEndpoints()])
        domains.add(app.landscape.Landscape.getSite().getLocalMachine().getPublicAddress().getName().lower())

        return domains

    def createRuntime(self):
        if not self.__isSSLEnabled():
            return

        app.certstore.CertificateGenerator.provisionCertificates(
            app.landscape.Landscape.getSite().getLocalMachine().getPublicAddress().getName(),
            app.certstore.CertificateGenerator.deriveCommonDomain(self.__getAllDomainNames()),
            self.cfg["SSL_CERT_FILE"],
            self.cfg["SSL_KEY_FILE"],
            self.cfg.get("SSL_CHAIN_FILE"))
