
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor


class CreateRuntimeScript(BaseCreateRuntimeScript):

     scriptDescription = "Configure firewall"
     #By default, firewall is enabled on CentOS/Redhat 7 profile and needs to be configured, without which no external access is possible.
     #Automate the firewall commands if platform is redhat/centos-7
     def createRuntime(self):
          if "redhat-7" in self.cfg["PLATFORM"]:
              #check if firewall is running
              services = app.util.executeCommand("ps -A")
              if "firewalld" in services:
                  #Adding third argument for skipping the unnecessary errors whil running this script specially on vm
                  app.util.runSystem("firewall-cmd --zone=public --add-service=http --permanent > /dev/null", self.log,skip_error=1)
                  app.util.runSystem("firewall-cmd --zone=public --add-service=https --permanent > /dev/null", self.log,skip_error=1)
                  app.util.runSystem("firewall-cmd --reload > /dev/null", self.log,skip_error=1)


