
from app.scripts import BaseFolderScript
import os
from app.permsutil import Permissions
from app.selinuxutil import Policy


class FolderScript(BaseFolderScript):

    def createFolders(self):
        pass

    def deleteFolders(self):
        pass

    def arePermissionsApplied(self):
        apacheUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["HTTPD_USER"])

        return Permissions.isPermissionApplied(apacheUserHomeDir,
                                               owner=self.cfg["HTTPD_USER"],
                                               group=self.cfg["HTTPD_GROUP"])

    def areSELinuxPermissionsApplied(self):
        apacheUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["HTTPD_USER"])

        return Policy.isSELinuxPermissionsApplied(apacheUserHomeDir, 'httpd_sys_content_t')

    def applyFolderPermissions(self):
        apacheUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["HTTPD_USER"])
        Permissions.applyPermissions(apacheUserHomeDir,
                                    owner=self.cfg["HTTPD_USER"],
                                    group=self.cfg["HTTPD_GROUP"])

    def applySELinuxPermissions(self):
        apacheUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["HTTPD_USER"])
        Policy.applySELinuxPermissions(apacheUserHomeDir, 'httpd_sys_content_t')
