﻿
from app.scripts import BaseBootstrapScript
from app.pgdbadmin import PGDBAdmin

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Setup PostgreSQL for Binary"

    def bootstrap(self):

        db = PGDBAdmin(
            self.cfg.get('IAF_DBNAME'),
            self.cfg.get('IAF_DBUSER'),
            self.cfg.get('IAF_DBPASS'),
            None,
            None,
            self.log,
            self.cfg.get('postgres/bind/jdbc/port'))

        db.dropDBIfExists()
        db.dropDBUserIfExists()

        db.createDBUser(["--no-superuser", "--createdb", "--no-createrole"])
        db.createDB()
        db.setDBPasswd()
