
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Binary Initialisation script"

    def createRuntime(self):
        distributionDir = self.cfg['DISTRIBUTION_DIR']
        binaryAppBin = os.path.join(self.cfg['BINARY_APP_DIR'], 'bin')
        binaryAppLog = os.path.join(self.cfg['BINARY_APP_DIR'], 'log')
        binaryCTFLog = self.cfg['BINARY_LOG_DIR']
        binaryUser = self.cfg['BINARY_APP_USER']
        tmplBinaryInit = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'binary', 'code-templates', 'binary-init.tmpl')
        initFile = os.path.join(binaryAppBin,
             'binary')
        tokenProcessor = app.util.getTokenProcessor(self.cfg)
        tokenProcessor.copyWithSubstitution(tmplBinaryInit, initFile)

        app.util.runSystem("chmod 755 %s " % initFile, self.log)
        app.util.runSystem("id -u %s 2>&1 > /dev/null || useradd -d %s %s 2>&1 > /dev/null" % (binaryUser, self.cfg['BINARY_APP_DIR'] ,binaryUser), self.log)
        app.util.runSystem("chown -R %s:%s %s " % (binaryUser, binaryUser, self.cfg['BINARY_APP_DIR']), self.log)
        app.util.runSystem("mkdir -p %s" % (self.cfg['BINARY_LOG_DIR'] ), self.log)
        return True
