
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Ruby-Env For Binary"

    def createRuntime(self):
        binaryAppBin = os.path.join(self.cfg['BINARY_APP_DIR'], 'bin')
        tmplRubyEnv = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'binary', 'code-templates', 'rubyenv.tmpl')
        rubyEnvScript = os.path.join(binaryAppBin,
             'rubyenv')
        tokenProcessor = app.util.getTokenProcessor(self.cfg)
        tokenProcessor.copyWithSubstitution(tmplRubyEnv, rubyEnvScript)
        app.util.runSystem("chmod 755 %s " % rubyEnvScript, self.log)

