﻿
from app.scripts import BaseInitializationScript
import app.util
import app.db
import os

class InitializationScript(BaseInitializationScript):

    scriptDescription = "Registering Binary App"

    def initialize(self):
        os.environ["CTF_ADMIN_USER"] = "scmadmin"
        os.environ["CTF_ADMIN_PASS"] = self.cfg.get("SCM_ADMIN_PASSWORD")
        cmd = "cd %s && eval `./bin/env.sh` && ./bin/ctf_configure "%(self.cfg.get('BINARY_APP_DIR'))

        with app.db.Database.connect(
            self.cfg.get('DATABASE_TYPE'),
            self.cfg.get('binary/dependency/ctfcore-database/jdbc/host'),
            self.cfg.get('binary/dependency/ctfcore-database/jdbc/port'),
            self.cfg.get('DATABASE_NAME'),
            self.cfg.get('DATABASE_USERNAME'),
            self.cfg.get('DATABASE_PASSWORD')) as db:

            binaryApp = db.query("select ID,ICON_FILE_ID from integrated_application where NAME='Binaries'")

            setupType = self.cfg.get('BINARY_SETUP_TYPE').lower()
            if binaryApp:
                binaryAppId, binaryIconKey = binaryApp[0]
                os.environ["BINARY_APP_ID"] = binaryAppId
                os.environ["BINARY_ICON_KEY"] = binaryIconKey
                if setupType in ('all', 'new', 'manual'): cmd += ' -e'
            else:
                if setupType == 'all':
                   cmd += ' -scn'
                elif setupType == 'new':
                   cmd += ' -sn'
                elif setupType == 'manual':
                   cmd += ' -s'
            self.logMesg("debug", "Running script to add binary integrated application to existing projects ")
            output = app.util.executeCommand(cmd)
            self.logMesg("debug", "Registering binary application to existing projects: %s" % output)
