from app.scripts import BaseMigrationScript

import os
import app.util
from glob import glob

class MigrationScript(BaseMigrationScript):

    scriptDescription = "Cleanup Old Remnant collabnet-binary-* directories"

    def migrate(self):

        # This script would be obselete once we stop supporting releases older than 8.2
        # It is safe to remove this script once support is stopped for 8.2
        lookUpDir = os.path.dirname(self.cfg['BINARY_APP_DIR'])
        collabBinDirs = [directory for directory in glob("%s/collabnet-binary-*" %lookUpDir) if directory != self.cfg['BINARY_APP_DIR']]

        for directory in collabBinDirs:
            baseDir, binDir = os.path.split(directory)
            self.log.debug( "Moving directory: %s" %directory)
            cmd = "mv %s %s/.%s-DELETE-ME" %(directory, baseDir, binDir)
            app.util.runCommand(cmd, self.log)
        return
