
from app.scripts import BaseOptionScript
import os
import service.util
import service.constants
import app.tokens.generations
import app.util
import commands

class OptionScript(BaseOptionScript):

    def optionSnippet(self):

        nodeHost      = service.util.getLocalNodeHostName()
        # If Binary is enabled locally?
        if (service.util.isApplicationEnabled(service.constants.APPLICATION_BINARY, nodeHost)):
             # Default Binary config parameters.
             tokenGenerations = app.tokens.generations.TokenGenerations()

             # Checking if cn-binary is installed
             retVal  = commands.getstatusoutput("rpm -qi cn-binary")
             if retVal[0] != 0:
                 raise Exception(retVal[1])

             binaryAppDir = app.util.executeCommand("dirname `rpm -ql cn-binary | grep -v vendor| grep -E '\.bundle$'`").strip()
             binaryServiceCommand = "%s/bin/binary" % binaryAppDir

             return "\n".join(["BINARY_SERVICE_CMD=%s\n" % binaryServiceCommand,
                               "BINARY_SETUP_TYPE=%s\n" % "ALL",
                               "BINARY_APP_USER=%s\n" % "root",
                               "CTF_BASE_DIR=%s\n" % os.path.normpath(os.path.join(self.cfg['SITE_DIR'],'..')),
                               "BINARY_APP_DIR=%s\n" % binaryAppDir,
                               "BINARY_LOG_DIR=%s\n" % os.path.join(self.cfg['LOG_DIR'], "iaf/")])
