
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import app.defaults
import os
import re

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Cron Jobs"

    def createRuntime(self):
        cronBinDir =  os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "cron", "bin")

        cronStr = """# Begin TeamForge cron jobs (Generated by the build.  DO NOT HAND EDIT.) --
4,9,14,19,24,29,34,39,44,49,54,59 * * * * %s/cron.py -e 5mins
0 * * * * %s/cron.py -e hourly
0 0 * * * %s/cron.py -e daily
0 0 * * 0 %s/cron.py -e weekly
0 0 1 * * %s/cron.py -e monthly
# End TeamForge cron entries ----------------------------------------------
""" % (cronBinDir, cronBinDir, cronBinDir, cronBinDir, cronBinDir)

        commandStr = "crontab -u root -l 2> /dev/null | sed   '/Begin TeamForge/,/End TeamForge/d'"
        existingCron = app.util.executeCommand(commandStr).strip()
        existingCron = "%s%s" % (cronStr, existingCron)

        #Escaping single quotes from the comment line of the existing crontab entry
        existingCron  = re.sub("\'",'\'\"\'\"\'',existingCron)

        newCommandStr = "echo '%s' | crontab -u root -"  % existingCron
        resultCron = app.util.executeCommand(newCommandStr)
