
from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create Avatar storage folders; install 'nobody' avatar"


    def bootstrap(self):
        # NOTE: Throughout, we use 6e854442cd2a940c9e95941dce4ad598 --
        # the MD5 hex digest value of the string 'nobody'.  (It ain't
        # gonna change, so there's no point in calculating it at
        # runtime.)

        diskStoreDir = self.cfg['AVATAR_SERVICE_DISK_STORE']
        origStoreDir = os.path.join(diskStoreDir, 'original')
        nobodyParentStoreDir = os.path.join(origStoreDir, '6e')

        # Copy the 'nobody' avatar image into place.
        app.util.runSystem("cp %s %s" % (
                os.path.join(self.cfg['SOURCEFORGE_HOME'], 'avatar', 'images', 'no_profile.png'),
                os.path.join(nobodyParentStoreDir, '6e854442cd2a940c9e95941dce4ad598')),
            self.log)

        # Change ownership for the whole tree we just built.
        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['APP_USER'], self.cfg['APP_GROUP'], diskStoreDir), self.log)
