from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create custom events folder"

    def bootstrap(self):
        eventsDir = "%s/events" %(self.cfg['DATA_DIR'])
        if not os.path.exists(eventsDir):
            os.makedirs(eventsDir)

        os.chmod(eventsDir, 0755)

        appUser = self.cfg['APP_USER']
        appGroup = self.cfg['APP_GROUP']

        app.util.runSystem("chown -R %s:%s %s" % (appUser, appGroup, eventsDir),self.log)

        iafEvents = "%s/iaf/events" %(self.cfg['DISTRIBUTION_DIR'])
        if os.path.exists(iafEvents) and self.cfg.get('BINARY_SETUP_TYPE') and \
          (self.cfg.get('BINARY_SETUP_TYPE').lower() == 'all' or \
          self.cfg.get('BINARY_SETUP_TYPE').lower() == 'new'):
           app.util.runSystem("cp %s/*.jar %s" % (iafEvents, eventsDir),self.log)

