
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Deploy HighCharts Exporter Web to JBoss"

    def createRuntime(self):
        warName = "highcharts-export-web.war"
        warPath = os.path.join(self.cfg['DEPLOY_FILES_DIR'], warName)
        jbossDeployDir = self.cfg['JBOSS_SERVER_DEPLOY_DIR']

        # Extract WAR
        cmdStr = "unzip -qo %s -d %s/%s" % (warPath, jbossDeployDir, warName)
        app.util.runSystem(cmdStr, self.log)
        app.util.runSystem("touch %s" % os.path.join(jbossDeployDir, warName + ".dodeploy"), self.log)

        # Override app-convert.properties file
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore-app', 'conf-snippets', 'highcharts-export-app-convert.properties.d')) \
            .evaluateIntoFile(os.path.join(jbossDeployDir, warName, "WEB-INF", "spring", "app-convert.properties"))

        # Reapply ownership
        app.util.runSystem("chown -R %s:%s %s" % (
            self.cfg['APP_USER'],
            self.cfg['APP_GROUP'],
            os.path.join(jbossDeployDir, warName)), self.log)
