
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import shutil
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup PhantomJS Server"

    def createRuntime(self):

        phantomjsSrcPath = os.path.join(self.cfg['DISTRIBUTION_DIR'], 'phantomjs', 'phantomjs')
        # Just return blindly if phantomjs doesnot exists in dist
        if not os.path.isfile(phantomjsSrcPath):
           return

        phantomjsDstPath = self.cfg['PHANTOMJS_EXEC']
        phantomjsDstDir  = os.path.dirname(phantomjsDstPath)

        # Create $RUNTIME_DIR/phantomjs
        if not(os.path.isdir(phantomjsDstDir)):
           app.util.runSystem("mkdir -p %s > /dev/null 2>&1" % phantomjsDstDir, self.log)

        # Copy phantomjs server to runtime
        shutil.copyfile(phantomjsSrcPath, phantomjsDstPath)
        app.util.runSystem("chmod 755 %s > /dev/null 2>&1" % phantomjsDstPath, self.log)
