﻿
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create TeamForge Configuration properties"

    def createRuntime(self):
        confFile = os.path.join(self.cfg['RUNTIME_DIR'], "conf", "sourceforge_configuration.properties")

        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore-app', 'conf-snippets', 'sourceforge_configuration.properties.d')) \
            .evaluateIntoFile(confFile)

        with open(confFile, 'a') as fileHandle:
            if self.cfg.has_key('SOURCEFORGE_CONFIGURATION_PROPERTIES_APPEND'):
                fileHandle.write(self.cfg['SOURCEFORGE_CONFIGURATION_PROPERTIES_APPEND'] + "\n")

        app.util.runSystem("chown %s:%s %s" % (self.cfg["APP_USER"], self.cfg["APP_GROUP"], confFile), self.log)
        app.util.runSystem("chmod 604 %s" % confFile, self.log)
