
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os
import service.util
import service.constants

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create fonts-config.xml"

    def createRuntime(self):
        if service.util.isApplicationEnabledLocally(service.constants.APPLICATION_APP):

           webConfFolder = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore-app', 'conf-snippets', 'saturn', 'viewpdf.properties.d')

           xmlFiles = app.util.getOrderedFiles(webConfFolder)
           pythonScriptInfo = None
           resultList = app.util.runAndParseScripts(xmlFiles,
                                            self.log, pythonScriptInfo)

           webConfFile = os.path.join(self.cfg['JBOSS_SERVER_DEPLOY_DIR'],
                                    "teamforge.ear", "sf.war", "WEB-INF", "classes", "fonts-config.xml")
           fileHandle = open(webConfFile, 'w')
           for fileName in xmlFiles:
               fileHandle.write(resultList[fileName])


