
from app.scripts import BaseCreateRuntimeScript
import os
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup CJK settings"

    def createRuntime(self):
        platform = self.cfg['PLATFORM']
        javaHome = self.cfg['JAVA_HOME']
        if platform.find('redhat') != -1:
            jreLibPath = os.path.join(javaHome, 'lib')

            srcConfig = os.path.join(jreLibPath, 'fontconfig.RedHat.6.properties.src')
            dstConfig = os.path.join(jreLibPath, 'fontconfig.properties')
            # Copy font configuration file
            if os.path.isfile(srcConfig):
                try:
                    shutil.copyfile(srcConfig, dstConfig)
                except Exception as err:
                    self.log.warn("Failed to copy fontconfig: %s" % err)
