from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os
import pwd
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create CrackLib directory"

    def setLongDirectoryPermissions(self, dir, uid, gid):
        if os.path.exists(dir):
            os.system('chown -R %d:%d %s' % (uid, gid, dir))

    def createRuntime(self):
        cracklibDir = os.path.join(self.cfg['DATA_DIR'], "cracklib")
        filename = 'words.en-us'
        wordPath = os.path.join(cracklibDir, filename)
        if os.path.exists(wordPath):
            self.logMesg('debug', 'Cracklib already present')
        else:
            if os.path.exists(self.cfg['DATA_DIR']):
                if not os.path.exists(cracklibDir):
                    os.makedirs(cracklibDir)
                httpd_user = self.cfg['APP_USER']
                httpd_group = self.cfg['APP_GROUP']
                httpd_uid, httpd_gid = pwd.getpwnam(httpd_user)[2:4]
                self.setLongDirectoryPermissions(os.path.join(self.cfg['DATA_DIR'], 'cracklib'),
                                    httpd_uid, httpd_gid)
                value = self.cfg['DICTIONARY_SOURCE']
                shutil.copyfile(value, wordPath)
                app.util.runSystem("chown %s:%s %s" % (httpd_user,httpd_group,wordPath),self.log)
                self.logMesg('debug', 'Completed creation of cracklib dir')

