from app.scripts import BaseFolderScript
import os
from app.selinuxutil import Policy

class FolderScript(BaseFolderScript):

    def __recreateFolder(self, folder):
        if os.path.exists(folder):
            return
        os.makedirs(folder)

    def createFolders(self):

        diskStoreDir = self.cfg['AVATAR_SERVICE_DISK_STORE']
        origStoreDir = os.path.join(diskStoreDir, 'original')
        nobodyParentStoreDir = os.path.join(origStoreDir, '6e')

        for dirName in [diskStoreDir, origStoreDir, nobodyParentStoreDir]:
            self.__recreateFolder(dirName)

    def deleteFolders(self):
        pass

    def areSELinuxPermissionsApplied(self):
        appUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["APP_USER"])
        avatarDir = os.path.join(self.cfg["SOURCEFORGE_HOME"], 'avatar')

        if not Policy.isSELinuxPermissionsApplied(appUserHomeDir, 'httpd_sys_content_t') or \
           not Policy.isSELinuxPermissionsApplied(avatarDir, 'httpd_sys_content_t') or \
           not Policy.isSELinuxPermissionsApplied(self.cfg['AVATAR_SERVICE_DISK_STORE']):
               return False

    def applySELinuxPermissions(self):
        appUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["APP_USER"])
        avatarDir = os.path.join(self.cfg["SOURCEFORGE_HOME"], 'avatar')

        Policy.applySELinuxPermissions(appUserHomeDir, 'httpd_sys_content_t')
        Policy.applySELinuxPermissions(avatarDir, 'httpd_sys_content_t')
        Policy.applySELinuxPermissions(self.cfg['AVATAR_SERVICE_DISK_STORE'])
