from app.scripts import BaseMigrationScript

import os
import app.util

class MigrationScript(BaseMigrationScript):
    # This script is always needed, for all upgrades since CTF 7.2

    scriptDescription = "Remove obsolete files from events dir"

    def migrate(self):
        eventsDir = os.path.join(self.cfg['DATA_DIR'], "events")
        obsoleteFileListConf = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore-app', 'conf-snippets', 'migrate-conf', 'obsoletefiles.txt')
        if not os.path.exists(eventsDir):
           self.log.debug("Events dir missing, skipping obsolete events jar cleanup ")
           return

        with open(obsoleteFileListConf) as fh:
          for obsoleteFile in fh:
             obsoleteFilePath = os.path.join(eventsDir, obsoleteFile.strip())
             if os.path.exists(obsoleteFilePath):
                os.remove(obsoleteFilePath)
                self.log.debug("Removing " + obsoleteFilePath)
