from app.scripts import BaseMigrationScript

import os
import app.util

class MigrationScript(BaseMigrationScript):
    # This script is always needed, for all upgrades since CTF 7.2

    scriptDescription = "Update IAF JARs for Binary Integration"

    def migrate(self):
        iafEvents = "%s/iaf/events" %(self.cfg['DISTRIBUTION_DIR'])
        eventsDir = "%s/events" %(self.cfg['DATA_DIR'])
        if os.path.exists(iafEvents) and self.cfg.get('BINARY_SETUP_TYPE') and \
                (self.cfg.get('BINARY_SETUP_TYPE').lower() == 'all' or \
                self.cfg.get('BINARY_SETUP_TYPE').lower() == 'new'):

            if not(os.path.isdir(eventsDir)):
                try:
                    os.makedirs(eventsDir)
                except:
                    print "Failed to create events folder at %s" % (eventsDir)

            app.util.runSystem("cp %s/*.jar %s" % (iafEvents, eventsDir), self.log)
