from app.scripts import BaseMigrationScript

import os

class MigrationScript(BaseMigrationScript):
    # This script is needed for migrating to CTF 8.2. It can be dropped once
    # updates from CTF 8.1 (or older) are not supported any more.

    scriptDescription = "Remove obsolete orchestrate adapters"

    def migrate(self):
        """Remove the orchestrate-commit and orchestrate-tracker adapters"""
        data_events_dir = os.path.join(self.cfg['DATA_DIR'], "events")
        if os.path.isdir(data_events_dir):
            allCustomJars = os.listdir(data_events_dir)
            for customJar in allCustomJars:
                if 'orchestrate-commit-adapter' in customJar or 'orchestrate-tracker-adapter' in customJar:
                    file_path = os.path.join(data_events_dir, customJar)
                    # check the path exists and then remove
                    if os.path.exists(file_path):
                        os.remove(file_path)
