﻿from app.scripts import BaseBootstrapScript
from app.pgdbadmin import PGDBAdmin

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "PostgreSQL recreating User/DB for App"
    def bootstrap(self):
        db = PGDBAdmin(
            self.cfg.get('DATABASE_NAME'),
            self.cfg.get('DATABASE_USERNAME'),
            self.cfg.get('DATABASE_PASSWORD'),
            self.cfg.get('DATABASE_READ_ONLY_USER'),
            self.cfg.get('DATABASE_READ_ONLY_PASSWORD'),
            self.log,
            self.cfg.get('postgres/bind/jdbc/port'))

        db.dropDBIfExists()
        db.reCreateUsers()
        db.createDB()
