﻿from app.scripts import BaseMigrationScript
from app.pgdbadmin import PGDBAdmin

class MigrationScript(BaseMigrationScript):

    scriptDescription = "PostgreSQL Updating credentials for App DB User"

    def migrate(self):
        dbUser = self.cfg.get("DATABASE_USERNAME")
        dbroUser = self.cfg.get("DATABASE_READ_ONLY_USER")

        if self.cfg.has_key("DATABASE_PASSWORD"):
            self.__updatePasswd(dbUser, self.cfg.get("DATABASE_PASSWORD"))

        if self.cfg.has_key("DATABASE_READ_ONLY_PASSWORD"):
            self.__updatePasswd(dbroUser, self.cfg.get("DATABASE_READ_ONLY_PASSWORD"))

    def __updatePasswd(self, dbUser, dbPasswd):
        dbAdmin = PGDBAdmin(self.cfg.get("DATABASE_NAME"),
                            dbUser,
                            dbPasswd,
                            None,
                            None,
                            self.log,
                            self.cfg.get("postgres/bind/jdbc/port"))
        dbAdmin.setDBPasswd()
