﻿
from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        sslEnabled = self.cfg['DATABASE_SSL'] == "on"

        # Allow CTF Core to access.
        hbaConf = app.pgdbadmin.HbaConfig() \
            .allowAccessForService(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_USERNAME"],
                "ctfcore-app",
                sslEnabled) \
            .allowAccessForService(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_READ_ONLY_USER"],
                "ctfcore-app",
                sslEnabled)

        # Allow James to access.
        hbaConf = hbaConf \
            .allowAccessForService(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_USERNAME"],
                "mail",
                sslEnabled)

        # Allow Binary to access.
        hbaConf = hbaConf \
            .allowAccessForService(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_USERNAME"],
                "binary",
                sslEnabled)

        # Allow reviewboard to access.
        hbaConf = hbaConf \
            .allowAccessForService(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_USERNAME"],
                "reviewboard",
                False)

        # Allow ETL to access.
        hbaConf = hbaConf \
            .allowAccessForService(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_USERNAME"],
                "etl",
                sslEnabled) \
            .allowAccessForService(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_READ_ONLY_USER"],
                "etl",
                sslEnabled)

        # Allow local access for admin operations.
        for ip in self.cfg['POSTGRES_INTERFACE_IP'].split(","):
            hbaConf = hbaConf.allowAccessForIp(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_USERNAME"],
                ip,
                sslEnabled)
            hbaConf = hbaConf.allowAccessForIp(
                self.cfg["DATABASE_NAME"],
                self.cfg["DATABASE_READ_ONLY_USER"],
                ip,
                sslEnabled)

        if self.cfg.get('TEST_SUPPORT_ENABLED', 'false') == 'true':
            hbaConf = hbaConf.allowAccessForIp(
                "all",
                self.cfg["DATABASE_USERNAME"],
                "127.0.0.1",
                sslEnabled)

        return hbaConf.format()
