from app.scripts import BaseBootstrapScript
from app.pgdbadmin import PGDBAdmin

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "PostgreSQL recreating User/DB for Reports"
    def bootstrap(self):
        #This block of code is in two places if you change anything
        #here you may want to also change in
        #ctfcore-datamart-postgres/hooks/bootstrap/00-setup.py

        db = PGDBAdmin(
            self.cfg.get('REPORTS_DATABASE_NAME'),
            self.cfg.get('REPORTS_DATABASE_USERNAME'),
            self.cfg.get('REPORTS_DATABASE_PASSWORD'),
            self.cfg.get('REPORTS_DATABASE_READ_ONLY_USER'),
            self.cfg.get('REPORTS_DATABASE_READ_ONLY_PASSWORD'),
            self.log,
            self.cfg.get('postgres/bind/jdbc/port'))
        db.dropDBIfExists()
        db.reCreateUsers()
        db.createDB()
