﻿from app.scripts import BaseMigrationScript
from app.pgdbadmin import PGDBAdmin

class MigrationScript(BaseMigrationScript):

    scriptDescription = "PostgreSQL Updating credentials for reports DB User"

    def migrate(self):
        rptDBUser = self.cfg.get("REPORTS_DATABASE_USERNAME")
        rptDBroUser = self.cfg.get("REPORTS_DATABASE_READ_ONLY_USER")

        if self.cfg.has_key("REPORTS_DATABASE_PASSWORD"):
            self.__updatePasswd(rptDBUser, self.cfg.get("REPORTS_DATABASE_PASSWORD"))

        if self.cfg.has_key("REPORTS_DATABASE_READ_ONLY_PASSWORD"):
            self.__updatePasswd(rptDBroUser, self.cfg.get("REPORTS_DATABASE_READ_ONLY_PASSWORD"))

    def __updatePasswd(self, dbUser, dbPasswd):
        dbAdmin = PGDBAdmin(self.cfg.get("REPORTS_DATABASE_NAME"),
                            dbUser,
                            dbPasswd,
                            None,
                            None,
                            self.log,
                            self.cfg.get("postgres/bind/jdbc/port"))
        dbAdmin.setDBPasswd()
