
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy static files to Apache root"

    def createRuntime(self):
        if self.cfg.has_key('HTTPD_DOCUMENT_ROOT'):
            httpdDocumentRoot = self.cfg['HTTPD_DOCUMENT_ROOT']
            if not os.path.exists(httpdDocumentRoot):
                 self.logMesg("error","Missing directory %s" % (httpdDocumentRoot))
                 raise Exception("Missing directory %s" %(httpdDocumentRoot))
            else:
                cliSrcImgPath = os.path.join(self.cfg['DISTRIBUTION_DIR'], 'clireports', 'images', 'cn-reports')
                cliDstImgPath = os.path.join(httpdDocumentRoot, "sf-images", "cn-reports")

                if not os.path.isdir(cliDstImgPath):
                    os.makedirs(cliDstImgPath)
                    app.util.runSystem("chown -R %s:%s %s" % (self.cfg['HTTPD_USER'], self.cfg['HTTPD_GROUP'], cliDstImgPath), self.log)
                    app.util.runSystem("chmod -R 755 %s" % cliDstImgPath, self.log)


                if os.path.isdir(cliSrcImgPath):
                   cmdStr = "cp -rf %s/* %s"%(cliSrcImgPath, cliDstImgPath)
                   app.util.runSystem(cmdStr, self.log)

                #Two images files are resides in  dist/static-files/images/cn-reports.
                #Coping those two images to /var/www/html/static-images/cn-reports

                cliSrcImgPath = os.path.join(self.cfg['DISTRIBUTION_DIR'], 'static-files', 'images', 'cn-reports')
                if os.path.isdir(cliSrcImgPath):
                   cmdStr = "cp -rf %s/* %s"%(cliSrcImgPath, cliDstImgPath)
                   app.util.runSystem(cmdStr, self.log)
