
from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):
    def configSnippet(self):

       eventq_enabled = len(app.landscape.Landscape.getSite().getMachinesByService("eventq")) > 0

       if eventq_enabled:
          app_hostname = self.cfg['ctfcore/dependency/eventq/http-eventq/host']
          app_port     = self.cfg['ctfcore/dependency/eventq/http-eventq/port']
          app_proxy_path = self.cfg['EVENTQ_PROXIED_PATH'].rstrip('/')
          app_protocol = 'http'

          use_ssl = self.cfg['SSL'].lower() == "on"

          proxyServerConf=''
          proxyPassConf=''
          proxyPassRevConf=''
          SSLProxyEnb=''
          SSLProxyEnbrhl7 =''
          Loadsslmod=''

          if use_ssl:
             app_protocol = 'https'
             if self.cfg['SSL'] == 'off' and "redhat-6" in self.cfg["PLATFORM"]:
                  Loadsslmod = """
LoadModule ssl_module modules/mod_ssl.so
"""
             SSLProxyEnb = """
SSLProxyEngine on
# SSLProxyVerify require
# SSLProxyVerifyDepth 5
# SSLProxyCACertificateFile %s
SSLProxyVerify none
SSLProxyCheckPeerCN off
SSLProxyCheckPeerExpire off
"""
             if "redhat-7" in self.cfg["PLATFORM"]:
                SSLProxyEnbrhl7 = """
SSLProxyCheckPeerName off
"""

          proxyPassConf = """
ProxyPass %s %s://%s:%s%s
""" % (app_proxy_path, app_protocol, app_hostname, app_port, app_proxy_path)

          proxyPassRevConf = """
ProxyPassReverse %s %s://%s:%s%s
""" % (app_proxy_path, app_protocol, app_hostname, app_port, app_proxy_path)

          proxyServerConf = """
# EventQ Integration
%s
%s
%s
ProxyRequests off
<Proxy *>
   Order deny,allow
   Allow from all
</Proxy>
RewriteRule ^%s$ %s/ [R]
AllowEncodedSlashes On
%s
%s
""" % (Loadsslmod, SSLProxyEnb, SSLProxyEnbrhl7, app_proxy_path, app_proxy_path, proxyPassConf, proxyPassRevConf)

          return proxyServerConf
       return ''

