
from app.scripts import BaseConfigScript
import service.util
import service.constants

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        confStr = ""

        if "redhat-7" in self.cfg["PLATFORM"]:
            allowString = "Require all granted"
        else:
            allowString = "Order allow,deny\nAllow from all"

        if service.util.isApplicationEnabledLocally(service.constants.APPLICATION_APP):
            confStr += """
#
# TeamForge Avatar Service API Configuration
#
<IfModule !wsgi_module>
    LoadModule wsgi_module modules/mod_wsgi.so
</IfModule>

WSGISocketPrefix "{__HTTPD_WSGI_SOCKET_DIR__}/wsgi"
WSGIDaemonProcess avatar_wsgi
WSGIProcessGroup avatar_wsgi
WSGIScriptAlias %s "{__RUNTIME_DIR__}/sourceforge_home/avatar/avatar.wsgi" process-group=avatar_wsgi application-group=%%{GLOBAL}
<Location %s>
    SetEnv AVATAR_STORAGE "{__AVATAR_SERVICE_DISK_STORE__}"
    %s
</Location>
""" %(self.cfg['AVATAR_SERVICE_API_URI'],
      self.cfg['AVATAR_SERVICE_API_URI'],
      allowString)

        return confStr
