from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        if "redhat-7" in self.cfg["PLATFORM"]:
            # Apache 2.4-style.
            grantSetting = """
                Require all granted
            """
        else:
            # Apache 2.2-style.
            grantSetting = """
                Order allow,deny
                Allow from all
            """

        return """
            # Expose CSS files from dist location (managed by RPM)
            Alias /css /opt/collabnet/teamforge/dist/static-files/css
            <Location /css >
                Options None
                %s
            </Location>
            Alias /sf-images/cn-reports /var/www/html/sf-images/cn-reports
            <Location /sf-images/cn-reports/ >
                Options None
                %s
            </Location>

            # Expose images files from dist location (managed by RPM)
            Alias /sf-images /opt/collabnet/teamforge/dist/static-files/images
            <Location /sf-images >
                Options None
                %s
            </Location>

            # Expose Swagger/Apidoc files from dist location (managed by RPM)
            Alias /apidoc /opt/collabnet/teamforge/dist/static-files/apidoc
            <Location /apidoc/ >
                Options None
                %s
                DirectoryIndex index.html
            </Location>""" % (grantSetting, grantSetting, grantSetting, grantSetting)
