from app.selinuxutil import Policy
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create ETL folders"

    def createRuntime(self):
        tomcatEtlClassesDir = os.path.join(self.cfg['ETL_DEPLOY_WEB_INF_DIR'], 'classes')
        tomcatEtlKettleDir = os.path.join(self.cfg['ETL_DEPLOY_WEB_INF_DIR'], 'kettle')
        tomcatEtlConfDir = os.path.join(self.cfg['ETL_BASE_DIR'],
                    'conf')
        tomcatEtlTempDir = os.path.join(self.cfg['ETL_BASE_DIR'],
                    'temp')
        app.util.runSystem("mkdir -p %s " % tomcatEtlClassesDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatEtlKettleDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatEtlConfDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatEtlTempDir, self.log)

        # Applying selinux permissions 
        etlInitScript = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'etl', 'bin', 'catalina.sh')
        if not Policy.isSELinuxPermissionsApplied(etlInitScript):
            Policy.applySELinuxPermissions(etlInitScript, recursive=False)

        if not Policy.isSELinuxPermissionsApplied(self.cfg['ETL_BASE_DIR']):
            Policy.applySELinuxPermissions(self.cfg['ETL_BASE_DIR'])

        app.permsutil.Permissions.applyPermissions(os.path.join(self.cfg['ETL_LOG_DIR'], 'service.log'),
                       mode=755,
                       owner=self.cfg['ETL_USER'],
                       group=self.cfg['ETL_GROUP'])
