
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy Datamart data to ETL deployment folder"

    def createRuntime(self):
	tokenProcessor = app.util.getTokenProcessor(self.cfg)
        datamartDirSource = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "etl", "conf-snippets", "datamart-data.d")
        datamartDirTarget = os.path.join(self.cfg['ETL_DEPLOY_WEB_INF_DIR'], "kettle", "datamart-data")
        if not os.path.isdir(datamartDirTarget):
            os.mkdir(datamartDirTarget)
        for item in os.listdir(datamartDirSource):
            sourcePath = os.path.join(datamartDirSource, item)
            destPath = os.path.join(datamartDirTarget, item)
            tokenProcessor.copyWithSubstitution(sourcePath, destPath)



