
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy Kettle property files"

    def createRuntime(self):
	tokenProcessor = app.util.getTokenProcessor(self.cfg)
        kettleSource = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "etl", "conf-snippets", "kettle.d")
        kettleTarget = os.path.join(self.cfg['ETL_DEPLOY_WEB_INF_DIR'], "kettle", ".kettle")
        if not os.path.isdir(kettleTarget):
            os.mkdir(kettleTarget)
        for item in os.listdir(kettleSource):
            sourcePath = os.path.join(kettleSource, item)
            destPath = os.path.join(kettleTarget, item)
            tokenProcessor.copyWithSubstitution(sourcePath, destPath)



