
from app.scripts import BaseConfigScript
import app.util
import app.preprocessor
import app.defaults
import os
import sys
import subprocess

class ConfigScript(BaseConfigScript):

    def configSnippet(self):

        vaultKeyStorePath  = os.environ['VAULT_ENC_PATH']
        vaultKeyStoreFile  = os.environ['VAULT_KEYSTORE_FILE']
        vaultKeyStoreAlias = os.environ['VAULT_KEYSTORE_ALIAS']
        vaultKeyStorePass  = os.environ['VAULT_KEYSTORE_FILE_PASSWORD']
        vaultKeyPass       = os.environ['VAULT_KEYSTORE_PASSWORD']
        vaultKeySalt       = os.environ['VAULT_KEYSTORE_SALT']
        vaultScript        = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "jboss", "bin", "vault.sh")

        # Command to generate Vault XML block (provided only dummy login credentials here)
        # The resultant SXML block is configured in standalone-full.xml in obfuscation mode
        runCmd = "%s -k %s -p '%s' -e %s -i 50 -s '%s' -v %s -b cnTest -a 'password'  -x 'cnTest' -B" \
                   %(vaultScript, vaultKeyStoreFile, vaultKeyStorePass, vaultKeyStorePath, \
                     vaultKeySalt, vaultKeyStoreAlias)
        runProc = subprocess.Popen(runCmd, shell=True, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE)

        (stdOut, stdErr) = runProc.communicate()
        exitCode = runProc.returncode

        if (exitCode != 0):
           self.log.error("Unable to generate JBOSS Vault block for configuring standalone-full.xml!!")
           self.log.error("Reason: %s"%(stdErr))
           sys.exit(1)
        import re
        trimmedStdOut = re.findall("(<vault>.*</vault>)", stdOut, re.DOTALL)[0]
        return trimmedStdOut
