from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        if app.landscape.Landscape.getSite().getLocalMachine().isClustered():
            cacheRef = "distributable"
        else:
            cacheRef = "simple"

        return """
            <subsystem xmlns="urn:jboss:domain:ejb3:2.0">
                <session-bean>
                    <stateless>
                        <bean-instance-pool-ref pool-name="slsb-strict-max-pool"/>
                    </stateless>
                    <stateful default-access-timeout="5000" cache-ref="%s" passivation-disabled-cache-ref="simple"/>
                    <singleton default-access-timeout="5000"/>
                </session-bean>
                <entity-bean>
                    <optimistic-locking enabled="true" />
                </entity-bean>
                <pools>
                    <bean-instance-pools>
                        <!-- A sample strict max pool configuration -->
                        <strict-max-pool name="slsb-strict-max-pool" max-pool-size="500" instance-acquisition-timeout="5" instance-acquisition-timeout-unit="MINUTES"/>
                    </bean-instance-pools>
                </pools>
                <caches>
                    <cache name="simple"/>
                    <cache name="distributable" aliases="passivating clustered" passivation-store-ref="infinispan"/>
                </caches>
                <passivation-stores>
                    <passivation-store name="infinispan" cache-container="ejb" max-size="10000"/>
                </passivation-stores>
                <async thread-pool-name="default"/>
                <timer-service thread-pool-name="default" default-data-store="default-file-store">
                    <data-stores>
                        <file-data-store name="default-file-store" path="timer-service-data" relative-to="jboss.server.data.dir"/>
                    </data-stores>
                </timer-service>
                <remote connector-ref="http-remoting-connector" thread-pool-name="default"/>
                <thread-pools>
                    <thread-pool name="default">
                        <max-threads count="10"/>
                        <keepalive-time time="100" unit="milliseconds"/>
                    </thread-pool>
                </thread-pools>
                <iiop enable-by-default="false" use-qualified-name="false"/>
                <default-security-domain value="other"/>
                <default-missing-method-permissions-deny-access value="true"/>
            </subsystem>
            <subsystem xmlns="urn:jboss:domain:io:1.1">
                <worker name="default"/>
                <buffer-pool name="default"/>
            </subsystem>""" % cacheRef
