from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        clusterConfig = ""
        infinispanConfig = """
             <cache-container name="web" default-cache="passivation" module="org.wildfly.clustering.web.infinispan">
                    <local-cache name="passivation" batching="true">
                        <file-store passivation="true" purge="false"/>
                    </local-cache>
                    <local-cache name="persistent" batching="true">
                        <file-store passivation="false" purge="false"/>
                    </local-cache>
                </cache-container>
                """
        if app.landscape.Landscape.getSite().getLocalMachine().isClustered():
            clusterConfig = """
                <cache-container name="server" aliases="singleton cluster" default-cache="default" module="org.wildfly.clustering.server">
                    <transport lock-timeout="60000"/>
                    <replicated-cache name="default" mode="SYNC">
                        <transaction mode="BATCH"/>
                    </replicated-cache>
                </cache-container>"""
            infinispanConfig = """
             <cache-container name="web" default-cache="repl" module="org.wildfly.clustering.web.infinispan">
                <transport lock-timeout="60000"/>
                <replicated-cache name="repl" mode="ASYNC">
                   <file-store/>
                </replicated-cache>
             </cache-container>
                """

        return """
            <subsystem xmlns="urn:jboss:domain:infinispan:2.0">
                %s
                %s
                <cache-container name="ejb" aliases="sfsb" default-cache="passivation" module="org.wildfly.clustering.ejb.infinispan">
                    <local-cache name="passivation" batching="true">
                        <file-store passivation="true" purge="false"/>
                    </local-cache>
                    <local-cache name="persistent" batching="true">
                        <file-store passivation="false" purge="false"/>
                    </local-cache>
                </cache-container>
                <cache-container name="hibernate" default-cache="local-query" module="org.hibernate">
                    <local-cache name="entity">
                        <locking isolation="READ_COMMITTED"/>
                        <transaction mode="NON_XA" locking="OPTIMISTIC" />
                        <eviction strategy="LRU" max-entries="10000"/>
                        <expiration max-idle="100000"/>
                    </local-cache>
                    <local-cache name="local-query">
                       <locking isolation="READ_COMMITTED"/>
                        <transaction mode="NONE" locking="OPTIMISTIC"/>
                        <eviction strategy="LRU" max-entries="10000"/>
                        <expiration max-idle="100000"/>
                    </local-cache>
                    <local-cache name="timestamps">
                        <locking isolation="READ_COMMITTED"/>
                        <transaction mode="NONE" locking="OPTIMISTIC"/>
                        <eviction strategy="NONE"/>
                    </local-cache>
                </cache-container>
            </subsystem>""" % (clusterConfig,infinispanConfig)
