﻿from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        machine = app.landscape.Landscape.getSite().getLocalMachine()
        failoverTimeout = self.cfg['HA_FAILOVER_TIMEOUT']
        if machine.isClustered():
            # Use TCP Unicast instead of Multicast.
            return """
                <subsystem xmlns="urn:jboss:domain:jgroups:4.0">
                    <channels default="ee">
                        <channel name="ee" stack="tcp"/>
                    </channels>
                    <stacks default="tcp">
                        <stack name="tcp">
                            <transport type="TCP" socket-binding="jgroups-tcp"/>
                            <protocol type="TCPPING">
                                <property name="initial_hosts">%s</property>
                                <property name="num_initial_members">2</property>
                                <property name="port_range">0</property>
                                <property name="timeout">2000</property>
                            </protocol>
                            <protocol type="MERGE3"/>
                            <protocol type="FD_SOCK" socket-binding="jgroups-tcp-fd"/>
                            <protocol type="FD">
                                <property name="timeout">%s</property>
                                <property name="max_tries">5</property>
                            </protocol>
                            <protocol type="VERIFY_SUSPECT"/>
                            <protocol type="pbcast.NAKACK2"/>
                            <protocol type="UNICAST3"/>
                            <protocol type="pbcast.STABLE"/>
                            <protocol type="pbcast.GMS"/>
                            <protocol type="MFC"/>
                            <protocol type="FRAG2"/>
                        </stack>
                    </stacks>
                </subsystem>""" % (",".join(["%s[7600]" % m.getPhysicalAddress().getIp() for m in machine.getCluster().getMachines()]), failoverTimeout)
        else:
            return ""
