from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        machine = app.landscape.Landscape.getSite().getLocalMachine()
        if machine.isClustered():
            # Note that node-name == server-name (see system properties).
            clusterNodes = [m.getPhysicalName() for m in machine.getCluster().getMachines()]

            # Note: The master is identified by lexicographically sorting
            # the list of machine names. It is critical that the same
            # order is used by the load balancer to identify the master.

            return """
                <subsystem xmlns="urn:jboss:domain:singleton:1.0">
                    <singleton-policies default="default">
                        <singleton-policy name="default" cache-container="server">
                            <simple-election-policy>
                                <name-preferences>%s</name-preferences>
                            </simple-election-policy>
                        </singleton-policy>
                    </singleton-policies>
                </subsystem>
            """ % " ".join(sorted(clusterNodes))
        else:
            return ""
