
from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        if (self.cfg['USE_EXTERNAL_USER_AUTHENTICATION'] == 'true' and
            self.cfg['EXTERNAL_AUTHENTICATION_TYPE'] == 'ldap'):
           loginConfiguration = """
    <subsystem xmlns="urn:jboss:domain:security:1.2">
      <security-domains>
        <security-domain name="other" cache-type="default">
          <authentication>
            <login-module code="Remoting" flag="optional">
              <module-option name="password-stacking"
                value="useFirstPass" />
            </login-module>
            <login-module code="RealmUsersRoles" flag="required">
              <module-option name="usersProperties"
                value="${jboss.server.config.dir}/application-users.properties" />
              <module-option name="rolesProperties"
                value="${jboss.server.config.dir}/application-roles.properties" />
              <module-option name="realm" value="ApplicationRealm" />
              <module-option name="password-stacking"
                value="useFirstPass" />
            </login-module>
          </authentication>
        </security-domain>
        <security-domain name="SourceForge">
          <authentication>
            <login-module code="org.jboss.security.auth.spi.LdapLoginModule" flag="sufficient" >
              <module-option name="allowEmptyPasswords" value="false" />
              <module-option name="principalDNPrefix" value="{__LDAP_DN_PREFIX__}" />
              <module-option name="principalDNSuffix" value="{__LDAP_DN_SUFFIX__}" />
              <module-option name="java.naming.factory.initial" value="com.sun.jndi.ldap.LdapCtxFactory" />
              <module-option name="java.naming.provider.url" value="{__LDAP_SERVER_URL__}" />
              <module-option name="java.naming.security.authentication" value="simple" />
            </login-module>
          </authentication>
        </security-domain>
        <security-domain name="jboss-web-policy"
          cache-type="default">
          <authorization>
            <policy-module code="Delegating" flag="required" />
          </authorization>
        </security-domain>
        <security-domain name="jboss-ejb-policy"
          cache-type="default">
          <authorization>
            <policy-module code="Delegating" flag="required" />
          </authorization>
        </security-domain>
"""
        else:
            loginConfiguration = """
    <subsystem xmlns="urn:jboss:domain:security:1.2">
      <security-domains>
        <security-domain name="other" cache-type="default">
          <authentication>
            <login-module code="Remoting" flag="optional">
              <module-option name="password-stacking"
                value="useFirstPass" />
            </login-module>
            <login-module code="RealmUsersRoles" flag="required">
              <module-option name="usersProperties"
                value="${jboss.server.config.dir}/application-users.properties" />
              <module-option name="rolesProperties"
                value="${jboss.server.config.dir}/application-roles.properties" />
              <module-option name="realm" value="ApplicationRealm" />
              <module-option name="password-stacking"
                value="useFirstPass" />
            </login-module>
          </authentication>
        </security-domain>
        <security-domain name="SourceForge">
          <authentication>
            <login-module
              code="com.collabnet.ctf.authentication.UsernamePasswordInDatabaseLoginModule"
              flag="required">
              <module-option name="DataSourceName" value="java:/SourceForgeDS" />
            </login-module>
          </authentication>
        </security-domain>
        <security-domain name="jboss-web-policy"
          cache-type="default">
          <authorization>
            <policy-module code="Delegating" flag="required" />
          </authorization>
        </security-domain>
        <security-domain name="jboss-ejb-policy"
          cache-type="default">
          <authorization>
            <policy-module code="Delegating" flag="required" />
          </authorization>
        </security-domain>
"""
        securityDomain_End = """
      </security-domains>
    </subsystem>
"""
        return loginConfiguration + securityDomain_End

