from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        clusterConfig = ""
        if app.landscape.Landscape.getSite().getLocalMachine().isClustered():
            clusterConfig = """
                <socket-binding name="jgroups-tcp" interface="jgroups" port="%s"/>
                <socket-binding name="jgroups-tcp-fd" interface="jgroups" port="%s"/>
            """ % (
                self.cfg["jboss/bind/jgroups-tcp/port"],
                self.cfg["jboss/bind/jgroups-tcp-fd/port"]
                )

        return """
            <interfaces>
                <interface name="management">
                    <inet-address value="${jboss.bind.address.management:127.0.0.1}"/>
                </interface>
                <interface name="public">
                    <inet-address value="${jboss.bind.address:127.0.0.1}"/>
                </interface>
                <interface name="jgroups">
                    <inet-address value="%s"/>
                </interface>
            </interfaces>
            <socket-binding-group name="standard-sockets" default-interface="public" port-offset="${jboss.socket.binding.port-offset:0}">
                <socket-binding name="management-http" interface="management" port="${jboss.management.http.port:9990}"/>
                <socket-binding name="management-https" interface="management" port="${jboss.management.https.port:9993}"/>
                <socket-binding name="http" port="${jboss.http.port:8080}"/>
                <socket-binding name="txn-recovery-environment" port="4712"/>
                <socket-binding name="txn-status-manager" port="4713"/>
                %s
                <outbound-socket-binding name="mail-smtp">
                    <remote-destination host="localhost" port="25"/>
                </outbound-socket-binding>
            </socket-binding-group>
        </server>""" % (app.landscape.Landscape.getSite().getLocalMachine().getPhysicalAddress().getIp(), clusterConfig)
