
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

     scriptDescription = "Fix Unauthorized World Writable Files and Directories"

     def createRuntime(self):

         runtimeDir = self.cfg["RUNTIME_DIR"]

         listwwDir = [runtimeDir+'/jboss/standalone', runtimeDir+'/jboss/standalone/configuration', runtimeDir+'/jboss/standalone/lib', runtimeDir+'/jboss/standalone/lib/ext', runtimeDir+'/jboss/standalone/tmp', runtimeDir+'/jboss/standalone/tmp/auth',runtimeDir+'/temp/suds']

         #Set the sticky bit for world writable directories
         for wwDir in listwwDir:
             if os.path.isdir(wwDir):
                 app.util.runSystem("chmod +t %s" % wwDir, self.log)

         listwwFile = [runtimeDir+'/jboss/standalone/configuration/standalone-ha.xml', runtimeDir+'/jboss/standalone/configuration/application-users.properties', runtimeDir+'/jboss/standalone/configuration/logging.properties', runtimeDir+'/jboss/standalone/configuration/standalone-full-ha.xml', runtimeDir+'/jboss/standalone/configuration/application-roles.properties', runtimeDir+'/jboss/standalone/configuration/mgmt-groups.properties', runtimeDir+'/jboss/standalone/configuration/mgmt-users.properties', runtimeDir+'/jboss/standalone/configuration/standalone.xml', runtimeDir+'/jboss/standalone/configuration/standalone-full.xml',runtimeDir+'/temp/suds/version']

         #Remove the writable permission for others to fix unauthorized world writable files
         for wwFile in listwwFile:
             if os.path.isfile(wwFile):
                 app.util.runSystem("chmod o-w %s" % wwFile, self.log)

