﻿from app.selinuxutil import Policy
from app.scripts import BaseCreateRuntimeScript
import os
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create log folders"

    def createFolderIfNotExisting(self, folder):
        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
            except:
                self.logMesg("warn", "Creating log folder %s failed" %folder)

    def createRuntime(self):
        app.util.runSystem("chmod go+wrx %s" % app.defaults.DEFAULT_LOG_DIR, self.log)

        self.createFolderIfNotExisting(self.cfg['RUNTIME_LOG_DIR'])

        othersLogDir = os.path.join(self.cfg['LOG_DIR'], 'others')
        self.createFolderIfNotExisting(othersLogDir)
        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['HTTPD_USER'], self.cfg['HTTPD_GROUP'], othersLogDir), self.log)
        app.util.runSystem("chmod -R 755 %s" % (othersLogDir), self.log)

        if not Policy.isSELinuxPermissionsApplied(self.cfg['RUNTIME_LOG_DIR']):
            Policy.applySELinuxPermissions(self.cfg['RUNTIME_LOG_DIR'])
