from app.selinuxutil import Policy
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create temp directories"

    def createRuntime(self):
        tmpDir = self.cfg['TEMPORARY_DIR']
        app.util.runSystem("mkdir -p %s " % tmpDir, self.log)

        # Create Suds cache dir under TeamForge temp dir
        sudsCacheDir = os.path.join(tmpDir,'suds')
        app.util.runSystem("mkdir -p %s " % sudsCacheDir, self.log)

        #If TEMPORARY_DIR is not RUNTIME_DIR/temp, then create on explicitly.
        # Used to generate and access tfmd5configs.cfg by core-installer and custom-installer
        runtimeTmpDir = os.path.join(self.cfg['RUNTIME_DIR'], 'temp')
        if (not os.path.isdir(runtimeTmpDir)):
           app.util.runSystem("mkdir -p %s " % runtimeTmpDir, self.log)

        if not Policy.isSELinuxPermissionsApplied(runtimeTmpDir):
           Policy.applySELinuxPermissions(runtimeTmpDir)

        if not Policy.isSELinuxPermissionsApplied(self.cfg['DISTRIBUTION_DIR']):
           Policy.applySELinuxPermissions(self.cfg['DISTRIBUTION_DIR'])
