
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os
from suds.cache import ObjectCache

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Set Ownership for Runtime Directories"

    def createRuntime(self):
         app.util.runSystem("chown -R %s:%s %s" % (self.cfg['APP_USER'],
                 self.cfg['APP_GROUP'],
                 self.cfg['TEMPORARY_DIR']), self.log)
         sudsCacheDir = os.path.join(self.cfg['TEMPORARY_DIR'], 'suds')
         ObjectCache(sudsCacheDir)
         app.util.runSystem("chown -R %s:%s %s" % (self.cfg['HTTPD_USER'],
                 self.cfg['HTTPD_GROUP'], sudsCacheDir), self.log)

         # For SVN, only Apache need access to this folder, but for CVS,
         # all users need access to this server. Therefore, we need to use
         # 0777.
         app.util.runSystem("chmod -R 777 %s" % sudsCacheDir, self.log)
