﻿
from app.scripts import BaseCreateRuntimeScript

import os
import app.options

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Save runtime options"

    def createRuntime(self):
        runtimeConfigDir = os.path.join(app.defaults.DEFAULT_RUNTIME_DIR, 'conf')
        runtimeConfigFile = os.path.join(runtimeConfigDir, 'runtime-options.conf')

        if not os.path.isdir(runtimeConfigDir):
            os.makedirs(runtimeConfigDir)

        obfuscator = app.options.Obfuscator.createFromRuntimeOptions(self.cfg)
        self.cfg \
            .obfuscate(obfuscator) \
            .writeToFilePath(runtimeConfigFile)

        app.util.runSystem("chown %s:%s %s" % (self.cfg["APP_USER"], self.cfg["APP_GROUP"], runtimeConfigFile), self.log)
