
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os.path

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Install custom SELinux module"

    def createRuntime(self):
        if self.cfg['SELINUX_ENABLED'] == "true":
            distDir = self.cfg["DISTRIBUTION_DIR"]
            policyFile = "teamforge-selinux-policy.pp"
            # Install teamforge custom selinux policy for el7
            if "redhat-7" in self.cfg["PLATFORM"]:
                module_install = "semodule -i " + os.path.join(distDir, 'selinux', 'rhel7', policyFile)
                self.log.info(module_install)
                app.util.runSystem(module_install, self.log)
