
from app.scripts import BaseCreateRuntimeScript
import glob
import os
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Uninstall Old Password control settings"

    def createRuntime(self):

        passwordControlsPath = "/opt/collabnet/teamforge/add-ons/password_controls"
        if self.cfg.has_key('HTTPD_DOCUMENT_ROOT'):
           httpdDocumentRoot = self.cfg['HTTPD_DOCUMENT_ROOT']

        if self.cfg.has_key('RUNTIME_DIR'):
           runtimeDir = self.cfg['RUNTIME_DIR']

        # Remove password control cron
        if os.path.exists(os.path.join(runtimeDir, 'cron', 'default-cron', 'daily', 'dailyCheck')):
           os.remove(os.path.join(runtimeDir, 'cron', 'default-cron', 'daily', 'dailyCheck'))

        # Remove password control CGIs from apache docroot
        if os.path.exists(os.path.join(httpdDocumentRoot, 'password_controls')):
           shutil.rmtree(os.path.join(httpdDocumentRoot, 'password_controls'))

        # Remove password control /etc/ctf-pass.conf
        for filename in glob.glob('/etc/ctf-pass.conf*') :
            os.remove( filename )

        # Remove password control CGIs from /opt/collabnet/teamforge/add-ons
        if os.path.exists(passwordControlsPath):
           shutil.rmtree(passwordControlsPath)


