﻿
from app.scripts import BaseCreateRuntimeScript

from app.colors import Color
from app.linuxservice import ServiceManager

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Disable default Mail service"

    def createRuntime(self):
        postfixService = ServiceManager.getService('postfix', self.log)
        sendmailService = ServiceManager.getService('sendmail', self.log)
        warn = False

        if postfixService.isRunning() or sendmailService.isRunning():
            postfixService.stop()
            sendmailService.stop()
            warn = True

        if postfixService.isEnabled() or sendmailService.isEnabled():
            postfixService.disable()
            sendmailService.disable()
            warn = True

        if warn:
            self.logMesg("warn", Color.amber("\nThe existing mail "  \
                        + "server on this system has been stopped" \
                        + "/disabled and will be replaced by TeamForge"))
