
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os


class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy Wrapper executables"

    def createRuntime(self):
        destName = os.path.join(self.cfg['RUNTIME_BIN_DIR'], "wrapper")
        app.util.runSystem("mkdir -p %s " % destName, self.log)
        srcName = os.path.join(self.cfg['DISTRIBUTION_DIR'], "multiplatform",
                    'runtime')
        for arch in ("i386", "x86_64"):
            if self.cfg['PLATFORM'].startswith(arch):
                break
        for wrapper in ("sh", "python"):
            srcFile = os.path.join(srcName, '%s-wrapper.%s' % (wrapper, arch))
            destFile = os.path.join(destName, wrapper)
            cmdStr = "cp %s %s" % (srcFile, destFile)
            app.util.runSystem(cmdStr, self.log)
        app.util.runSystem("chmod 755 %s/* " % destName, self.log)

