﻿from app.scripts import BaseCreateRuntimeScript
import app.util
import app.preprocessor
import os


class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy Runtime scripts"

    def createRuntime(self):
        runtimeScriptsDir = os.path.join(self.cfg['RUNTIME_DIR'], 'scripts')
        if not os.path.isdir(runtimeScriptsDir):
            os.makedirs(runtimeScriptsDir)

        app.preprocessor.copyScriptsWithTransform(
            self.cfg,
            os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "legacy-runtime", "scripts"),
            runtimeScriptsDir)
        app.util.runSystem("chmod -R +x %s" % runtimeScriptsDir, self.log)
