
from app.scripts import BaseOptionScript

import os,re

class OptionScript(BaseOptionScript):

    def optionSnippet(self):

        distDir = self.cfg['DISTRIBUTION_DIR']
        corevers_fpath = os.path.join(distDir,"version/core-version.txt")
        try:
            with open ( corevers_fpath ) as fH:
                content  = fH.readlines()
                token = "APPLICATION_VERSION"
                #Get the APPLICATION_VERSION token alone from the core-version.txt file 'content[]' array and remove the keyword
                #APPLICATION_VERSION= and . from version (16.3). Finally will get  163 val and this value will be
                #merged with 'teamforge' string
                val = filter(lambda x: re.search(r'^%s=(.*)'%token, x), content)[0].replace(r'%s='%token,'').replace('.','')
            helptopicpath = "teamforge"+val
            return "HELP_TOPIC_PATH=%s\n" %(helptopicpath)
        except Exception as e:
            self.log.warning("Error occurred: Can't read APPLICATION_VERSION: "  + str(e))
            return ""

