
from app.scripts import BaseOptionScript

import commands
import os.path

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        # Check if selinux is enabled only in redhat.
        selinuxEnabled = "false"
        if self.cfg['PLATFORM'].find('redhat') != -1:
            self.log.info("Checking if selinux is enabled\n")
            status = 'Disabled'
            selinuxCheckScript = "/usr/sbin/getenforce"
            if os.path.isfile(selinuxCheckScript):
                ret = commands.getstatusoutput(selinuxCheckScript)
                if not ret[0]:
                    status = ret[1]
                else:
                    self.log.error("Unable to get selinux status")
            if status == "Enforcing" or status == "Permissive":
                selinuxEnabled = "true"
        return "SELINUX_ENABLED=%s\n" %(selinuxEnabled)

