
from app.scripts import BaseOptionScript

class OptionScript(BaseOptionScript):

    def optionSnippet(self):

        conf_items = ['MINIMUM_PASSWORD_LENGTH=0',
                      'MAX_PASSWORD_LENGTH=256',
                      'PASSWORD_REQUIRES_MIXED_CASE=false',
                      'PASSWORD_REQUIRES_NON_ALPHANUM=false',
                      'PASSWORD_REQUIRES_NUMBER=false',
                      'PASSWORD_EXPIRY_PERIOD=90',
                      'PASSWORD_WARNING_PERIOD=14',
                      'PASSWORD_DISABLE_PERIOD=30',
                      'PASSWORD_DELETE_PERIOD=60']

        if self.cfg.has_key('TEST_SUPPORT_ENABLED') and self.cfg['TEST_SUPPORT_ENABLED'] == 'true':
           conf_items.append('MINIMUM_USERNAME_LENGTH=0')
           conf_items.append('DISABLE_USER_SELF_CREATION=false')
           conf_items.append('APPROVE_NEW_USER_ACCOUNTS=false')
        else:
           conf_items.append('MINIMUM_USERNAME_LENGTH=3')
           conf_items.append('DISABLE_USER_SELF_CREATION=true')
           conf_items.append('APPROVE_NEW_USER_ACCOUNTS=true')

        conf_items.append('USERS_WITH_NO_EXPIRY_PASSWORD=admin,nobody,system,scmviewer,scmadmin')
        return "\n".join(conf_items)
