
from app.scripts import BaseOptionScript
import commands

class OptionScript(BaseOptionScript):

    def optionSnippet(self):

        if not self.cfg.has_key('MAX_WWW_CLIENTS'):
           maxWWWClients = 250
        else:
           maxWWWClients = int(self.cfg['MAX_WWW_CLIENTS'])

        httpServerLimit = maxWWWClients + 100
        dbMaxPoolSize   = maxWWWClients
        pgsqlMaxConnections = maxWWWClients + 50

        self.tokenStr = ""

        self.tokenStr += "HTTPD_SERVER_LIMIT=%s\n"%(httpServerLimit)
        self.tokenStr += "DATABASE_MAX_POOL_SIZE=%s\n"%(dbMaxPoolSize)

        #This option sets the maximum number of database backend to have at any one time
        self.tokenStr += "PGSQL_MAX_CONNECTIONS=%s\n"%(pgsqlMaxConnections)

        # Default listenBackLog is 511
        listenBackLog = "511"
        # Set ListenBackLog equivalent to kernel parameter net.ipv4.tcp_max_syn_backlog
        listenBackLogCmd = "/sbin/sysctl -n -e net.ipv4.tcp_max_syn_backlog"
        try:
           ret = commands.getstatusoutput(listenBackLogCmd)
           if not ret[0] and ret[1].isdigit():
              listenBackLog = ret[1]
           else:
             raise Exception("sysctl exec error!!")
        except:
           self.log.warning("Unable to get value of net.ipv4.tcp_max_syn_backlog parameter! " + \
                            "Setting default value [%s] for token LISTEN_BACKLOG."%listenBackLog)

        self.tokenStr += "LISTEN_BACKLOG=%s\n"%(listenBackLog)

        return self.tokenStr
