
from app.scripts import BaseOptionScript
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        self.tokenStr = ""
        self.handlePlatformSpecificPaths()
        return self.tokenStr

    def handlePlatformSpecificPaths(self):
        """Set OS-specific paths, by examining a list of possible
        candidates, and setting the first one that satisfies.  More
        exotic locations (e.g., solaris) should appear first to
        prevent false positives."""

        paths = { 'NICE_PATH' : [ '/usr/bin/nice', '/bin/nice' ],
                  'PYTHON_BINARY' : [ '/opt/sfw/bin/python','/usr/bin/python' ],
                  'GDIFF_BINARY' : [ '/opt/sfw/bin/gdiff','/usr/bin/diff' ],
                  'TR_BINARY' : [ '/usr/xpg4/bin/tr','/usr/bin/tr' ],
                  'USERDEL_BINARY' : [ '/usr/sbin/userdel','/sbin/userdel' ],
                  'USERMOD_BINARY' : [ '/usr/sbin/usermod','/sbin/usermod' ],
                }

        for key, locations in paths.items():
            if not self.cfg.has_key(key):
                for location in locations:
                    if os.path.exists(location):
                        self.tokenStr += "%s=%s\n" % (key, location)
                        break
                else:
                    raise "Could not locate path to %s! The following were tried: %s" % (key, ", ".join(locations))

