
from app.scripts import BaseOptionScript
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        tfSystemd = os.path.join(self.cfg["RUNTIME_SCRIPTS"], 'tfsystemd')

        HTTPD_SERVER_ROOT = "/etc/httpd"
        htdocsPath = "/var/www/html"
        httpdConfFile = "%s/conf/httpd.conf" % HTTPD_SERVER_ROOT
        httpdServiceCmd = "/etc/init.d/httpd"
        httpdPidFile = "/var/run/httpd/httpd.pid"

        if "redhat-7" in self.cfg["PLATFORM"]:
            httpdServiceCmd = "%s httpd" % tfSystemd
            httpdPidFile = "/var/run/httpd.pid"
        wsgiSocketDir = os.path.join(self.cfg["TEMPORARY_DIR"], 'ctfwsgi')
        return "\n".join(["HTTPD_SERVER_ROOT=%s\n" % HTTPD_SERVER_ROOT,
                          "HTTPD_CONF_DIR=%s/conf\n" % HTTPD_SERVER_ROOT,
                          "HTTPD_CONF_D_DIR=%s/conf.d\n" %HTTPD_SERVER_ROOT,
                          "HTTPD_CONF_FILE_PATH=%s\n" % httpdConfFile,
                          "HTTPD_DOCUMENT_ROOT=%s\n" % htdocsPath,
                          "HTTPD_SERVICE_CMD=%s\n" % httpdServiceCmd,
                          "HTTPD_PID_FILE_PATH=%s\n" %httpdPidFile,
                          "HTTPD_WSGI_SOCKET_DIR=%s\n" %wsgiSocketDir,
                          "SF_SUBVERSION_CONF_FILE_PATH=%s/conf.d/sf_subversion.conf\n" % HTTPD_SERVER_ROOT])
