﻿
from app.scripts import BaseOptionScript
import app.util
import app.preprocessor
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        sslOn = self.cfg.get('SSL','off') == 'on'

        if not sslOn:
            return "\n".join(["APACHE_START_COMMAND=start","HTTP_SCHEME=http","SSL=off","HTTP_COMMENT=#"])
        else:
            domainName = app.landscape.Landscape.getSite().getLocalMachine().getPublicAddress().getName()
            sslCertFile = os.path.join(app.defaults.DEFAULT_SSLCERTS_PATH,".".join((domainName,"crt")))
            sslKeyFile = os.path.join(app.defaults.DEFAULT_SSLCERTS_PATH,".".join((domainName,"key")))

            return "\n".join(["SSL_CERT_FILE=%s" %sslCertFile,
                            "SSL_KEY_FILE=%s" %sslKeyFile,
                            "APACHE_START_COMMAND=start","HTTP_SCHEME=https","HTTP_COMMENT=",
                            "SSL_PROTOCOL=all -SSLv3 -SSLv2",
                            "SSL_CIPHER_SUITE=ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-RSA-AES128-SHA:ECDHE-ECDSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA:ECDHE-RSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:DHE-RSA-AES256-SHA256:DHE-RSA-AES256-SHA:ECDHE-ECDSA-DES-CBC3-SHA:ECDHE-RSA-DES-CBC3-SHA:EDH-RSA-DES-CBC3-SHA:AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:DES-CBC3-SHA:!DSS"]
                            )
