﻿
from app.scripts import BaseOptionScript
import re
import commands

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        tzVar = 'ZONE'
        tzConfigFile = "/etc/sysconfig/clock"
        timezone = None

        if "redhat-7" in self.cfg['PLATFORM']:
            timedateResult = commands.getstatusoutput("timedatectl status | grep 'zone'")
            if timedateResult[0] == 0:
                timezone = timedateResult[1].split(" ")[9]
        else:
            timezone = self.getVal(tzConfigFile, tzVar)

        if timezone is None:
            timezone = 'GMT'

        return "\n".join(["PGSQL_TIMEZONE=%s" % timezone,
                "PGSQL_LOG_TIMEZONE=%s" % timezone])

    def getVal(self, file, var):
        val = None
        try:
            with open (file) as fH:
                content  = fH.readlines()
                val = filter(lambda x: re.search(r'^%s=(.*)'%var, x), content)[0].replace(r'%s='%var,'').replace('"','').replace(' ','_')
            if (len(val)):
                return val.strip()
            else:
                return None
        except:
            return None
