#!/bin/sh

# Utility to get value of a given TeamForge runtime configuration property
# (c) Copyright 2000-2013, CollabNet Inc

if [ "X$1" = "X" -o "X$1" = "X--help" ]; then
   echo ""
   echo "Utility script to get value of a given TeamForge runtime configuration property"
   echo "Usage :"
   echo "  get-runtime-property.sh <runtime_token_name>"
   exit 1
fi
runtimeConfig=$1
eval "`$RUNTIME_DIR/scripts/options-to-shell-variables.py`"
runtimeValue=${!runtimeConfig}
# Obfuscation is enabled by default and is mandatory
if [[ ${!runtimeConfig} =~ ^"${OBFUSCATION_PREFIX}" ]]; then
   runtimeValue=`$RUNTIME_DIR/scripts/obfuscate_util.sh -decrypt ${!runtimeConfig} 2> /dev/null`
   if [ $? -ne 0 ]; then
      echo "Error: Unable to de-obfuscate the value for the given runtime configuration property - $runtimeConfig"
      exit 1
   fi
fi

echo $runtimeValue
exit 0
