#!/usr/bin/env python

"""This script's sole purpose is to determine whether or not a application is configured in the local server., and return a true (0) or false (1) result code. This is determined by the following checks
"""
import sys
import service.util

def main(argv):
    if len(argv) < 2:
        sys.stderr.write("Usage: ./is_app_enabled_locally.py <application_name>\n")
        sys.exit(2)

    appName = argv[1]
    if service.util.isApplicationEnabledLocally(appName):
        sys.exit(0)
    else:
        sys.exit(1)

if __name__ == '__main__':
        main(sys.argv)

