#!/bin/bash

###############################################################################
#
# File:         obfuscate_util.sh
# Description:  A utility to obfuscate and deobfuscate a given input string
# Language:     Shell-script
# Package:      N/A
#
# (C) Copyright 2000-2013, Collab.Net.
#
###############################################################################

# Require this because obfuscation logic starts even before runtime setup.
SCRIPTS_DIR="/opt/collabnet/teamforge/runtime/scripts"

# Source the tokens
if [ -f "${SCRIPTS_DIR}/options-to-shell-variables.py" ]; then
  eval "`${SCRIPTS_DIR}/options-to-shell-variables.py`"
else
  if [ ! -z ${SITE_DIR} ]; then
     DISTRIBUTION_DIR=$SITE_DIR/dist
  else
     DISTRIBUTION_DIR="/opt/collabnet/teamforge/dist"
  fi
fi

if [ "X$1" = "X" -o "X$2" = "X" -o "X$1" = "X--help" ]; then
    echo
    echo "Usage:"
    echo
    echo "obfuscate_util.sh -encrypt '<data_to_be_obfuscated>'"
    echo "obfuscate_util.sh -decrypt '<obfuscated_data>'"
    echo "obfuscate_util.sh -isobfuscated '<data>'"
    echo
    echo "Utility script to obfuscate and deobfuscate a given data"
    exit 1
fi

if [ "X$JAVA_HOME" != "X" -a ! -f $JAVA_HOME/bin/java ]; then
    echo "Error Occurred! JAVA Home [$JAVA_HOME] doesnot contain a valid JRE system. So cannot proceed!!"
    echo "Reason   : This could happen if JRE is upgraded after Teamforge Re-Create runtime or your site might have older version of runtime directory."
    echo "Solution : Remove your Teamforge runtime directory [$RUNTIME_DIR] and re-try!!"
    exit 1
fi

export JAVA_HOME
if [ ! -z ${OBFUSCATION_KEY} ]; then
   export OBFUSCATION_KEY
fi

if [ ! -z ${OBFUSCATION_PREFIX} ]; then
   export OBFUSCATION_PREFIX
fi

UTIL_JAR_PATH=$DISTRIBUTION_DIR/lib/multiplatform/java/
JAR_PATH=$UTIL_JAR_PATH/ctfutil.jar:$UTIL_JAR_PATH/axis.jar:$DISTRIBUTION_DIR/commonjars/*:
if [ $# -eq 2 ]; then
  res=`$JAVA_HOME/bin/java -cp $JAR_PATH com.vasoftware.sf.system.utils.TeamforgeObfuscator $1 "$2"`
else
  res=`$JAVA_HOME/bin/java -cp $JAR_PATH com.vasoftware.sf.system.utils.TeamforgeObfuscator $1 "$2" $3 "$4"`
fi
ret=$?
echo "$res"

exit $ret
