#!/usr/bin/env python2

# Invoke this program from a shell script to `source` the configuration:
#
#     eval "`print-shell-configuration.py ${RUNTIME_DIR}`"
#
# Note that in case obfuscation is used, the variables will contain the
# unobfuscated values.
#

import re

import app.util

def main():
    cfg = app.util.getRawRuntimeConfiguration()
    for k, v in cfg.items():
        # Skip SERVICES tokens
        if k.find("SERVICES") != -1:
            continue
	# Skip properties with multiline values
        if v.find("\n") != -1:
            continue
        # .s are not allowed for shell variable names
        k = k.replace('.', '_')
        k = k.replace('/', '_')
        k = k.replace('-', '_')
        k = k.replace(':', '_')
        v = re.sub(r'(\\|\$|`)', r'\\\1', v)
        print "%s=\"%s\"" % (k, v)

if __name__ == '__main__':
    main()
