#!/bin/bash

## This Script will download the ssl certificate through https and imports into
## jvm trusted key store. "cacerts or jssecacerts"

if [ "$#" -ne 2 ]; then
    echo "ERROR: Invalid no arguments."
    echo "Usage: $0 <HOSTNAME> <PORTNO>"
    exit 1;
fi

if ! [[ "$2" =~ ^[0-9]+$ ]]; then
    echo "ERROR: Invalid argument supplied for PORTNO"
    echo "Reason: $2 is not an integer"
    exit 1;
fi

# Source the tokens
eval "`$RUNTIME_DIR/scripts/options-to-shell-variables.py`"

export JAVA_HOME
LOG_FILE=$LOG_DIR/runtime/cert.log

echo "=========================================================================" >> $LOG_FILE
date >> $LOG_FILE
echo "Importing Certificate for $1"
$JAVA_HOME/bin/java -cp $UTIL_JAR_PATH com.collabnet.ctf.base.security.tools.ImportSslCertificateFromHost $1 $2 >> $LOG_FILE 2>&1
echo "=========================================================================" >> $LOG_FILE
