
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Logrotation configuration"

    def createRuntime(self):
        configFolder = os.path.join(app.defaults.DEFAULT_RUNTIME_DIR, "logrotate", "etc")
        if not os.path.isdir(configFolder):
            os.makedirs(configFolder)

        batch = app.batch.ConfigBatch(self.log)

        # Add overrides
        for service in app.landscape.Landscape.getSite().getLocalMachine().getServices():
            overridesFolder = os.path.join(
                app.defaults.DEFAULT_SERVICE_DIR,
                service.getName(),
                'overrides',
                'logrotate',
                'logrotate.conf.d')

            if os.path.isdir(overridesFolder):
                batch = batch.addFolder(overridesFolder)

        batch.evaluateIntoFile(os.path.join(configFolder, "teamforge-logrotate.conf"))
