﻿
from app.scripts import BaseConfigScript
import app.util
import app.preprocessor
import app.options

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        xmlStr = ""

        databaseType = self.cfg['DATABASE_TYPE']
        databaseHost = self.cfg['mail/dependency/ctfcore-database/jdbc/host']
        databasePort = self.cfg['mail/dependency/ctfcore-database/jdbc/port']
        databaseName = self.cfg['DATABASE_NAME']
        datasourceFactories = {
           'standard'    : 'org.apache.james.util.dbcp.JdbcDataSource',
           'obfuscation' : 'org.apache.james.util.dbcp.TeamforgeJamesJdbcDataSource'
        }

        if databaseType == 'postgresql':
            databaseSSL  = self.cfg['DATABASE_SSL']
            if databasePort is None:
                databasePort = '5432'
            driver = 'org.postgresql.Driver'
            dburl = "jdbc:postgresql://%s:%s/%s" % (databaseHost, databasePort, databaseName)
            if databaseSSL == "on":
               dburl += '?ssl=true&amp;sslfactory=org.postgresql.ssl.NonValidatingFactory'
        elif databaseType == 'oracle':
            if databasePort is None:
                databasePort = '1521'
            driver = 'oracle.jdbc.driver.OracleDriver'
            dburl = "jdbc:oracle:thin:@%s:%s:%s" % (databaseHost, databasePort, databaseName)

        databasePassword = app.options.Obfuscator.createFromRuntimeOptions(self.cfg) \
            .obfuscate(self.cfg['DATABASE_PASSWORD'])
        dataSourceFactory = datasourceFactories['obfuscation']


        xmlStr = """
    <data-source name=\"ctfdb\" class=\"%s\">
         <driver>%s</driver>
         <dburl>%s</dburl>
         <user>%s</user>
        <password>%s</password>
         <max>20</max>
    </data-source>
""" % (dataSourceFactory, driver, dburl, self.cfg['DATABASE_USERNAME'], databasePassword)
        return xmlStr
