from app.scripts import BaseCreateRuntimeScript
from app.selinuxutil import Policy
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create James App folder"

    def __createFolderAndChown(self, folder, user, group):
        app.util.runSystem("mkdir -p %s " % folder, self.log)
        app.util.runSystem("chown -R %s:%s %s" % (user, group, folder), self.log)

    def createRuntime(self):
        # Note: The following folders are needed for deployment, so we cannot create them via a "folder" section in the manifest.
        self.__createFolderAndChown(os.path.join(self.cfg['JAMES_DEPLOY_DIR'], 'james', 'SAR-INF'), self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])
        self.__createFolderAndChown(os.path.join(self.cfg['JAMES_DEPLOY_DIR'], 'james', 'conf'), self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])
        self.__createFolderAndChown(self.cfg['JAMES_SAR_DIR'], self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])

        jamesDeployDir = os.path.split(self.cfg['JAMES_DEPLOY_DIR'])[0]
        if not Policy.isSELinuxPermissionsApplied(jamesDeployDir):
            Policy.applySELinuxPermissions(jamesDeployDir)
