
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup James config.xml"

    def createRuntime(self):
        targetFilename = os.path.join(self.cfg['JAMES_DEPLOY_DIR'],
                    'james', 'SAR-INF', 'config.xml')

	# JAMES_CONFIG_XML overrides using the conf-snippets.
	#    This is needed to support upgrades of pre-5.0 installs because
        #    customers may have hacked the JAMES config.xml directly.

        if self.cfg.has_key('JAMES_CONFIG_XML') and self.cfg.has_key('JAMES_CONFIG_XML_FILE'):
            raise Exception("Cannot specify both JAMES_CONFIG_XML and JAMES_CONFIG_XML_FILE options.")

        if self.cfg.has_key('JAMES_CONFIG_XML_FILE'):
            sourceConfFilename = self.cfg['JAMES_CONFIG_XML_FILE']
            if not os.path.isfile(sourceConfFilename):
                raise Exception("The file specified for JAMES_CONFIG_XML_FILE(%s) does not exist." % sourceConfFilename)
            shutil.copyfile(sourceConfFilename, targetFilename)
            os.chmod(targetFilename, 0644)
        elif self.cfg.has_key('JAMES_CONFIG_XML'):
            jamesFile = open(targetFilename, 'w')
            jamesFile.write(self.cfg['JAMES_CONFIG_XML'])
            jamesFile.close()
        else:
            app.batch.ConfigBatch(self.log) \
                .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'mail', 'conf-snippets', 'james-config.xml.d')) \
                .evaluateIntoFile(targetFilename)
