__copyright__ = "Copyright (c) 2014 CollabNet, Inc. All rights reserved."

from app.scripts import BaseInitializationScript
import app.util
import app.landscape
import os

class InitializationScript(BaseInitializationScript):

    scriptDescription = "Import SSL certificate of CTF Core"

    def __trustHost(self, host, port):
        return app.util.executeCommand(" ".join([
            os.path.join(self.cfg.get('RUNTIME_SCRIPTS'), "trust-cert.sh"),
            host,
            str(port)
            ])) == 0

    def __trustCtfcore(self):
        if (self.cfg.get('SSL', 'off') != 'on'):
            self.logMesg("debug", "SSL not enabled, importing SSL certificates is not necessary");
            return

        for server in app.landscape.Landscape.getSite().getMachinesByService("ctfcore-app"):
            endpoint = server.getService("ctfcore-app").getProvidedEndpoint("http-soap", "public")

            self.log.info("Importing SSL certificate from %s:%d" % (endpoint.getHost(False), endpoint.getPort()))
            self.__trustHost(endpoint.getHost(False), endpoint.getPort())

    def initialize(self):
        self.__trustCtfcore()
