﻿from app.scripts import BaseMigrationScript

import os

class MigrationScript(BaseMigrationScript):

    scriptDescription = "Migrate James data folder"

    def __getPre174DataFolderPath(self):
        # Previous to 17.4, the data folder was in {__JAMES_DATA_DIR__}/var/
        return os.path.join(self.cfg["JAMES_DATA_DIR"], "var")

    def __getPost174DataFolderPath(self):
        # Since 17.4, the data folder was in {__JAMES_DATA_DIR__}/{__NODE_HOSTNAME__}/
        return os.path.join(self.cfg["JAMES_DATA_DIR"], self.cfg["NODE_HOSTNAME"])

    def migrate(self):
        if os.path.isdir(self.__getPre174DataFolderPath()) and not os.path.isdir(self.__getPost174DataFolderPath()):
            # Apparently, we are just migrating from pre-17.4 to post-17.4. Take the old data folder
            # and rename it.
            os.rename(self.__getPre174DataFolderPath(), self.__getPost174DataFolderPath())
