
from app.scripts import BaseVerificationScript
import app.landscape

class VerificationScript(BaseVerificationScript):
    scriptDescription = "Verify email domain"

    def verificationSnippet(self):
        localMachine = app.landscape.Landscape.getSite().getLocalMachine()
        service = localMachine.getService("mail")

        # This verification emulates behavior that was enforced prior to CTF 17.4.
        if service.getPublicAddress().getName().lower().startswith("www."):
            raise Exception(
                "\n  The site is configured to use a domain name starting with 'www'. Such domains "+
                "\n  are not supported for email addresses. Please specify an alternate domain name for emails "+
                "\n  by adding a line like "+
                "\n"+
                "\n    %s:mail:PUBLIC_FQDN = %s" % (localMachine.getPhysicalName(), service.getPublicAddress().getName()[4:]) +
                "\n"+
                "\n  to site-options.conf")
