
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup PostgreSQL pg_ident.conf for ETL"

    def createRuntime(self):
        confFile = os.path.join(self.cfg['REPORTS_PGSQL_DATA_DIR'], "pg_ident.conf")
        if os.path.exists(confFile):
            batch = app.batch.ConfigBatch(self.log)

            # Add overrides
            for service in app.landscape.Landscape.getSite().getLocalMachine().getServices():
                overridesFolder = os.path.join(
                    app.defaults.DEFAULT_SERVICE_DIR,
                    service.getName(),
                    'overrides',
                    'postgres-datamart',
                    'pg_ident.conf.d')

                if os.path.isdir(overridesFolder):
                    batch = batch.addFolder(overridesFolder)

            batch.evaluateIntoFile(confFile)
