from app.scripts import BaseFolderScript
import os
from app.permsutil import Permissions
from app.selinuxutil import Policy

class FolderScript(BaseFolderScript):

    def createFolders(self):

        pass

    def deleteFolders(self):
        pass

    def arePermissionsApplied(self):
        return Permissions.isPermissionApplied(self.cfg['PGSQL_DATA_DIR'],
                                                700,
                                                owner="postgres",
                                                group="postgres")

    def applyFolderPermissions(self):
        Permissions.applyPermissions(self.cfg['PGSQL_DATA_DIR'],
                                       700,
                                       owner="postgres",
                                       group="postgres")

    def applySELinuxPermissions(self):
        pgsqlHomeDir = os.path.split(self.cfg['PGSQL_HOME_DIR'])[0]
        pgsqlLogDir = self.cfg['PGSQL_LOG_DIR']

        Policy.applySELinuxPermissions(pgsqlHomeDir)
        Policy.applySELinuxPermissions(pgsqlLogDir)

