
from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):
    def configSnippet(self):

        for rbServer in app.landscape.Landscape.getSite().getMachinesByService("reviewboard"):
            if not rbServer.isLocal():
                rbHost = self.cfg['reviewboard-adapter/dependency/reviewboard/http/host']
                rbProtocol = 'http'
                rbProxyPath = '/rb'

                sslEnb = self.cfg['SSL'].lower() == "on"

                proxyServerConf=''
                proxyPassConf=''
                proxyPassRevConf=''
                SSLProxyEnb=''

                if sslEnb:
                    rbProtocol = 'https'
                    SSLProxyEnb = "SSLProxyEngine on"

                proxyPassConf = """
ProxyPass %s %s://%s%s
""" % (rbProxyPath, rbProtocol, rbHost, rbProxyPath)

                proxyPassRevConf = """
ProxyPassReverse %s %s://%s%s
""" % (rbProxyPath, rbProtocol, rbHost, rbProxyPath)

                proxyServerConf = """
# Reviewboard Integration
%s
RewriteRule ^%s$ %s/ [R]
AllowEncodedSlashes On
RequestHeader set X-Forwarded-Proto 'https'
%s
%s
""" % (SSLProxyEnb, rbProxyPath, rbProxyPath, proxyPassConf, proxyPassRevConf)

                return proxyServerConf
            return ''

