﻿from app.scripts import BaseMigrationScript
from app.pgdbadmin import PGDBAdmin

class MigrationScript(BaseMigrationScript):

    scriptDescription = "PostgreSQL Updating credentials for Reviewboard DB User"

    def migrate(self):
        dbUser = self.cfg.get("REVIEWBOARD_DATABASE_USERNAME")

        if self.cfg.has_key("REVIEWBOARD_DATABASE_PASSWORD"):
            self.__updatePasswd(dbUser, self.cfg.get("REVIEWBOARD_DATABASE_PASSWORD"))

    def __updatePasswd(self, dbUser, dbPasswd):
        dbAdmin = PGDBAdmin(self.cfg.get("REVIEWBOARD_DATABASE_NAME"),
                            dbUser,
                            dbPasswd,
                            None,
                            None,
                            self.log,
                            self.cfg.get("postgres/bind/jdbc/port"))
        dbAdmin.setDBPasswd()
