
from app.scripts import BaseFolderScript
import os
from app.selinuxutil import Policy
from app.options import PropertiesFile

class FolderScript(BaseFolderScript):

    def createFolders(self):
        pass

    def deleteFolders(self):
        pass

    def areSELinuxPermissionsApplied(self):
        rbPropertiesFile = '/etc/reviewboard.properties'
        if not os.path.isfile(rbPropertiesFile):
            return

        rbProps = PropertiesFile.readFromFilePath(rbPropertiesFile)
        rbDir = rbProps['rb_dir']
        rbDataDir = rbProps['rb_data_dir']           
        apacheUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["HTTPD_USER"])

        if not Policy.isSELinuxPermissionsApplied(apacheUserHomeDir, 'httpd_sys_rw_content_t') or \
           not Policy.isSELinuxPermissionsApplied(rbDir, 'httpd_sys_rw_content_t') or \
           not Policy.isSELinuxPermissionsApplied(rbDataDir, 'httpd_sys_rw_content_t'):
               return False

    def applySELinuxPermissions(self):
        rbPropertiesFile = '/etc/reviewboard.properties'
        if not os.path.isfile(rbPropertiesFile):
            return            
            
        rbProps = PropertiesFile.readFromFilePath(rbPropertiesFile)
        rbDir = rbProps['rb_dir']
        rbDataDir = rbProps['rb_data_dir']
        apacheUserHomeDir = os.path.join(self.cfg['HOME_DIR_BASE'], self.cfg["HTTPD_USER"])

        Policy.applySELinuxPermissions(apacheUserHomeDir, 'httpd_sys_rw_content_t')
        Policy.applySELinuxPermissions(rbDir, 'httpd_sys_rw_content_t')
        Policy.applySELinuxPermissions(rbDataDir, 'httpd_sys_rw_content_t')

