﻿from app.scripts import BaseInitializationScript
import os
import app.util
import app.landscape
import app.certstore
from app.colors import Color

class InitializationScript(BaseInitializationScript):

    scriptDescription = "Import SSL certificate of CTF Core"
    
    def __trustHost(self, host, port, title):
        try:
            app.certstore.LinuxTrustStore().importCertificateFromServer("%s-%s" % (host, title), host, port)
        except Exception as e:
            self.logMesg("warn", Color.amber(
               "\n  Importing the SSL certificates of %s server failed as the respective services may not be fully up yet." %title +
               "\n  You can run teamforge reinitialize to retry the operation." +
               "\n  (%s)" % str(e)))
            return

    def __trustCtfcore(self):
        if (self.cfg.get('SSL', 'off') != 'on'):
            self.logMesg("debug", "SSL not enabled, importing SSL certificates is not necessary");
            return

        for server in app.landscape.Landscape.getSite().getMachinesByService("ctfcore-app"):
            endpoint = server.getService("ctfcore-app").getProvidedEndpoint("http-soap", "public")

            self.log.info("Importing SSL certificate from %s:%d" % (endpoint.getHost(False), endpoint.getPort()))
            self.__trustHost(endpoint.getHost(False), endpoint.getPort(), "ctfcore")

    def initialize(self):
        self.__trustCtfcore()
