
from app.scripts import BaseCreateRuntimeScript
import app.batch
import os
from app.colors import Color

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Adjust Linux resource limits"

    def createRuntime(self):
        confFile = os.path.join('/etc','security','limits.d','teamforge-core.conf')
        if not os.path.isfile(confFile) :
          self.logMesg("warn", Color.amber(
           "\n  The resource limits (open file count, process count) have been adjusted."+
           "\n  For this change to take effect, please reboot the server after finishing "+
           "\n  the installation"))

        batch = app.batch.ConfigBatch(self.log)

        for service in app.landscape.Landscape.getSite().getLocalMachine().getServices():
            overridesFolder = os.path.join(
                app.defaults.DEFAULT_SERVICE_DIR,
                service.getName(),
                'overrides',
                'base',
                'limits.d')

            if os.path.isdir(overridesFolder):
                batch = batch.addFolder(overridesFolder)

        batch.evaluateIntoFile(confFile)
