
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import app.linuxservice
import os.path

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create systemd/init.d service"

    def createRuntime(self):
        if "redhat-7" in self.cfg['PLATFORM']:
            # We are dealing with systemd, so create a unit called "collabnet".
            collabnetServiceFile = '/etc/systemd/system/collabnet.service'
            collabnetServiceTmplFile = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'runtime-base', 'code-templates', 'collabnet.service.tmpl')

            tokenProcessor = app.util.getTokenProcessor(self.cfg)
            tokenProcessor.copyWithSubstitution(collabnetServiceTmplFile, collabnetServiceFile)

        elif "redhat-6" in self.cfg['PLATFORM']:
            # We are dealing with upstart, so create a link in /etc/init.d.
            initdFile = "/etc/init.d/collabnet"
            startupFile = os.path.join(self.cfg["SITE_DIR"], 'runtime', 'scripts', 'collabnet')
            # Creating a symlink if does not exist
            if not os.path.islink(initdFile):
                os.symlink(startupFile, initdFile)

        app.linuxservice.ServiceManager.getService("collabnet").enable(True)
