﻿from app.scripts import BaseCreateRuntimeScript

import os
import app.defaults
from glob import glob

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Clear .pyc files"
    
    def __find(self, path, pattern):
        return [y for x in os.walk(path) for y in glob(os.path.join(x[0], pattern))]

    def createRuntime(self):
        garbage = self.__find(app.defaults.DEFAULT_SERVICE_DIR, "*.pyc") + \
                  self.__find(os.path.join(app.defaults.DEFAULT_DIST_DIR, "lib", "multiplatform", "python"), "*.pyc")
                  
        self.log.debug("Clearing .pyc garbage: %r" % garbage)
        
        for file in garbage:
            os.remove(file)
