﻿import os
import app.servicecontrol
import app.util

class ServiceController(app.servicecontrol.ServiceController):
    def printSnapshot(self, label):
        cfg = app.util.getRuntimeConfiguration()
        platform = cfg['PLATFORM']
        psCmd = 'ps -efl'
        if platform.lower().find('redhat') > 0:
            psCmd = 'ps auxwwwwwwwf'

        cmdsList = [psCmd, 'df -kh', 'top -n 1 b', 'free', 'uptime', 'vmstat 3 3', 'w', 'uname -a', 'pstree -u -p']

        for cmd in cmdsList:
            print "-------------------------------------------------------------------------------------"
            print " Running %s "%cmd
            print "-------------------------------------------------------------------------------------"
            print app.util.executeCommand(cmd)

        print "Running netstat -anp (Ports and Programs)"
        print app.util.executeCommand("netstat -anp")
        print "Running netstat -s (Statistics)"
        print app.util.executeCommand("netstat -s")
    
    def getLogPaths(self):
        return [os.path.join(app.util.getRuntimeConfiguration().get("RUNTIME_LOG_DIR"), "*")]

    def isDeployed(self):
        return os.path.isdir(app.defaults.DEFAULT_RUNTIME_DIR)
