from app.selinuxutil import Policy
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Search App folder"

    def createFolderAndChown(self, folder, user, group):
        app.util.runSystem("mkdir -p %s " % folder, self.log)
        app.util.runSystem("chown -R %s:%s %s" % (user, group, folder), self.log)

    def createRuntime(self):
        self.createFolderAndChown(os.path.join(self.cfg['JAMES_DEPLOY_DIR'], 'search', 'SAR-INF'), self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])
        self.createFolderAndChown(os.path.join(self.cfg['JAMES_DEPLOY_DIR'], 'search', 'conf'), self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])
        self.createFolderAndChown(self.cfg['JAMES_SAR_DIR'], self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])

        jamesDeployDir = os.path.split(self.cfg['JAMES_DEPLOY_DIR'])[0]
        if not Policy.isSELinuxPermissionsApplied(jamesDeployDir):
            Policy.applySELinuxPermissions(jamesDeployDir)
