
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Deploy Frontend to JBoss"

    def createRuntime(self):
        warName = "ctf.war"
        warPath = os.path.join(self.cfg['DEPLOY_FILES_DIR'], warName)
        jbossDeployDir = self.cfg['JBOSS_SERVER_DEPLOY_DIR']

        # Copy WAR
        app.util.runSystem("cp %s %s" % (warPath, jbossDeployDir), self.log)

        # Reapply ownership
        app.util.runSystem("chown %s:%s %s" % (
            self.cfg['APP_USER'],
            self.cfg['APP_GROUP'],
            os.path.join(jbossDeployDir, warName)), self.log)
