﻿from app.scripts import BaseMigrationScript

import os
import app.util
import app.defaults
import ext.lock

class MigrationScript(BaseMigrationScript):

    scriptDescription = "Migrate CTF Database to latest schema"

    def migrate(self):
        try:
            # Acquire lock to avoid concurrent migrating in a cluster.
            with ext.lock.NetworkFolderLock(
                    app.defaults.DEFAULT_DATA_DIR,
                    app.landscape.Landscape.getSite().getLocalMachine().getPhysicalName()):
                self.__lockedMigrate()

        except ext.lock.NetworkFolderOwnedByOtherPeer, e:
            # Lock acquisition failed.
            self.log.warn("Failed to lock folder - %s seems to be migrating" % e.getPeer())

    def __lockedMigrate(self):
        jdbcUrl = "jdbc:oracle:thin:@%s:%s:%s" % \
            (self.cfg['ctfcore-database-admin-oracle/dependency/ctfcore-database/jdbc/host'], self.cfg['ctfcore-database-admin-oracle/dependency/ctfcore-database/jdbc/port'], self.cfg['DATABASE_NAME'])

        app.migratorator.Migratorator.forDatabase(
            os.path.join(self.cfg['DISTRIBUTION_DIR'], "migratorator/migratorator.jar"),
            jdbcUrl,
            self.cfg['DATABASE_USERNAME'],
            self.cfg['DATABASE_PASSWORD']).migrate(self.log)
